// This file is generated by kconfig_compiler from kalarmconfig.kcfg.
// All changes you do to this file will be lost.
#ifndef PREFERENCESBASE_H
#define PREFERENCESBASE_H

#include <kconfigskeleton.h>
#include <kdebug.h>

#include "timeperiod.h"
#include "kalocale.h"
#include <KGlobalSettings>
#include <KColorScheme>
#include <QFont>
#include <QColor>
#include <qnamespace.h>
class PreferencesBase : public KConfigSkeleton
{
  Q_OBJECT
  public:
    enum Backend { Kresources, Akonadi };
    enum MailClient { sendmail, kmail };
    enum SoundType { Sound_None, Sound_Beep, Sound_File, Sound_Speak };
    enum CmdLogType { Log_Discard, Log_File, Log_Terminal };
    enum RecurType { Recur_None, Recur_Login, Recur_SubDaily, Recur_Daily, Recur_Weekly, Recur_Monthly, Recur_Yearly };
    enum Feb29Type { Feb29_Feb28, Feb29_Mar1, Feb29_None };

    enum {
      signalShowInSystemTrayChanged = 0x1,
      signalAutoHideSystemTrayChanged = 0x2,
      signalAskResourceChanged = 0x4,
      signalBase_TimeZoneChanged = 0x8,
      signalBase_HolidayRegionChanged = 0x10,
      signalBase_StartOfDayChanged = 0x20,
      signalBase_WorkTimeChanged = 0x40,
      signalMessageFontChanged = 0x80,
      signalDisabledColourChanged = 0x100,
      signalArchivedColourChanged = 0x200,
      signalArchivedKeepDaysChanged = 0x400,
      signalFeb29TypeChanged = 0x800,
      signalTooltipPreferencesChanged = 0x1000
 };

    static PreferencesBase *self();
    ~PreferencesBase();

    /**
      Set KAlarm version
    */
    static
    void setVersion( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "Version" ) ))
        self()->mVersion = v;
    }

    /**
      Get KAlarm version
    */
    static
    QString version()
    {
      return self()->mVersion;
    }

    /**
      Get Item object corresponding to Version()
    */
    ItemString *versionItem()
    {
      return mVersionItem;
    }

    /**
      Set Data storage backend
    */
    static
    void setBackend( Backend v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "Backend" ) ))
        self()->mBackend = v;
    }

    /**
      Get Data storage backend
    */
    static
    Backend backend()
    {
      return static_cast<Backend>(self()->mBackend);
    }

    /**
      Get Item object corresponding to Backend()
    */
    ItemEnum *backendItem()
    {
      return mBackendItem;
    }

    /**
      Set Time zone
    */
    static
    void setBase_TimeZone( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "Base_TimeZone" ) )) {
        self()->mBase_TimeZone = v;
        self()->mSettingsChanged |= signalBase_TimeZoneChanged;
      }
    }

    /**
      Get Time zone
    */
    static
    QString base_TimeZone()
    {
      return self()->mBase_TimeZone;
    }

    /**
      Get Item object corresponding to Base_TimeZone()
    */
    ItemString *base_TimeZoneItem()
    {
      return mBase_TimeZoneItem;
    }

    /**
      Set Holiday region
    */
    static
    void setBase_HolidayRegion( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "Base_HolidayRegion" ) )) {
        self()->mBase_HolidayRegion = v;
        self()->mSettingsChanged |= signalBase_HolidayRegionChanged;
      }
    }

    /**
      Get Holiday region
    */
    static
    QString base_HolidayRegion()
    {
      return self()->mBase_HolidayRegion;
    }

    /**
      Get Item object corresponding to Base_HolidayRegion()
    */
    ItemString *base_HolidayRegionItem()
    {
      return mBase_HolidayRegionItem;
    }

    /**
      Set Foreground color
    */
    static
    void setDefaultFgColour( const QColor & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DefaultFgColour" ) ))
        self()->mDefaultFgColour = v;
    }

    /**
      Get Foreground color
    */
    static
    QColor defaultFgColour()
    {
      return self()->mDefaultFgColour;
    }

    /**
      Get Item object corresponding to DefaultFgColour()
    */
    ItemColor *defaultFgColourItem()
    {
      return mDefaultFgColourItem;
    }

    /**
      Set Background color
    */
    static
    void setDefaultBgColour( const QColor & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DefaultBgColour" ) ))
        self()->mDefaultBgColour = v;
    }

    /**
      Get Background color
    */
    static
    QColor defaultBgColour()
    {
      return self()->mDefaultBgColour;
    }

    /**
      Get Item object corresponding to DefaultBgColour()
    */
    ItemColor *defaultBgColourItem()
    {
      return mDefaultBgColourItem;
    }

    /**
      Set Message font
    */
    static
    void setMessageFont( const QFont & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "MessageFont" ) )) {
        self()->mMessageFont = v;
        self()->mSettingsChanged |= signalMessageFontChanged;
      }
    }

    /**
      Get Message font
    */
    static
    QFont messageFont()
    {
      return self()->mMessageFont;
    }

    /**
      Get Item object corresponding to MessageFont()
    */
    ItemFont *messageFontItem()
    {
      return mMessageFontItem;
    }

    /**
      Set Show in system tray
    */
    static
    void setShowInSystemTray( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ShowInSystemTray" ) )) {
        self()->mShowInSystemTray = v;
        self()->mSettingsChanged |= signalShowInSystemTrayChanged;
      }
    }

    /**
      Get Show in system tray
    */
    static
    bool showInSystemTray()
    {
      return self()->mShowInSystemTray;
    }

    /**
      Get Item object corresponding to ShowInSystemTray()
    */
    ItemBool *showInSystemTrayItem()
    {
      return mShowInSystemTrayItem;
    }

    /**
      Set Auto-hide in system tray if no alarms due within period
    */
    static
    void setAutoHideSystemTray( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "AutoHideSystemTray" ) )) {
        self()->mAutoHideSystemTray = v;
        self()->mSettingsChanged |= signalAutoHideSystemTrayChanged;
      }
    }

    /**
      Get Auto-hide in system tray if no alarms due within period
    */
    static
    int autoHideSystemTray()
    {
      return self()->mAutoHideSystemTray;
    }

    /**
      Get Item object corresponding to AutoHideSystemTray()
    */
    ItemInt *autoHideSystemTrayItem()
    {
      return mAutoHideSystemTrayItem;
    }

    /**
      Set Start at login
    */
    static
    void setAutoStart( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "AutoStart" ) ))
        self()->mAutoStart = v;
    }

    /**
      Get Start at login
    */
    static
    bool autoStart()
    {
      return self()->mAutoStart;
    }

    /**
      Get Item object corresponding to AutoStart()
    */
    ItemBool *autoStartItem()
    {
      return mAutoStartItem;
    }

    /**
      Set Suppress autostart at login
    */
    static
    void setNoAutoStart( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "NoAutoStart" ) ))
        self()->mNoAutoStart = v;
    }

    /**
      Get Suppress autostart at login
    */
    static
    bool noAutoStart()
    {
      return self()->mNoAutoStart;
    }

    /**
      Get Item object corresponding to NoAutoStart()
    */
    ItemBool *noAutoStartItem()
    {
      return mNoAutoStartItem;
    }

    /**
      Set Default defer time interval
    */
    static
    void setDefaultDeferTime( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DefaultDeferTime" ) ))
        self()->mDefaultDeferTime = v;
    }

    /**
      Get Default defer time interval
    */
    static
    int defaultDeferTime()
    {
      return self()->mDefaultDeferTime;
    }

    /**
      Get Item object corresponding to DefaultDeferTime()
    */
    ItemInt *defaultDeferTimeItem()
    {
      return mDefaultDeferTimeItem;
    }

    /**
      Set Prompt for which calendar to store in
    */
    static
    void setAskResource( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "AskResource" ) )) {
        self()->mAskResource = v;
        self()->mSettingsChanged |= signalAskResourceChanged;
      }
    }

    /**
      Get Prompt for which calendar to store in
    */
    static
    bool askResource()
    {
      return self()->mAskResource;
    }

    /**
      Get Item object corresponding to AskResource()
    */
    ItemBool *askResourceItem()
    {
      return mAskResourceItem;
    }

    /**
      Set Message windows have a title bar and take keyboard focus
    */
    static
    void setModalMessages( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ModalMessages" ) ))
        self()->mModalMessages = v;
    }

    /**
      Get Message windows have a title bar and take keyboard focus
    */
    static
    bool modalMessages()
    {
      return self()->mModalMessages;
    }

    /**
      Get Item object corresponding to ModalMessages()
    */
    ItemBool *modalMessagesItem()
    {
      return mModalMessagesItem;
    }

    /**
      Set Delay before message window buttons are enabled
    */
    static
    void setMessageButtonDelay( int v )
    {
      if (v < -1)
      {
        kDebug() << "setMessageButtonDelay: value " << v << " is less than the minimum value of -1";
        v = -1;
      }

      if (v > 10)
      {
        kDebug() << "setMessageButtonDelay: value " << v << " is greater than the maximum value of 10";
        v = 10;
      }

      if (!self()->isImmutable( QString::fromLatin1( "MessageButtonDelay" ) ))
        self()->mMessageButtonDelay = v;
    }

    /**
      Get Delay before message window buttons are enabled
    */
    static
    int messageButtonDelay()
    {
      return self()->mMessageButtonDelay;
    }

    /**
      Get Item object corresponding to MessageButtonDelay()
    */
    ItemInt *messageButtonDelayItem()
    {
      return mMessageButtonDelayItem;
    }

    /**
      Set Number of alarms to show in system tray tooltip
    */
    static
    void setTooltipAlarmCount( int v )
    {
      if (v < -1)
      {
        kDebug() << "setTooltipAlarmCount: value " << v << " is less than the minimum value of -1";
        v = -1;
      }
      if (!self()->isImmutable( QString::fromLatin1( "TooltipAlarmCount" ) )) {
        self()->mTooltipAlarmCount = v;
        self()->mSettingsChanged |= signalTooltipPreferencesChanged;
      }
    }

    /**
      Get Number of alarms to show in system tray tooltip
    */
    static
    int tooltipAlarmCount()
    {
      return self()->mTooltipAlarmCount;
    }

    /**
      Get Item object corresponding to TooltipAlarmCount()
    */
    ItemInt *tooltipAlarmCountItem()
    {
      return mTooltipAlarmCountItem;
    }

    /**
      Set Show alarm times in system tray tooltip
    */
    static
    void setShowTooltipAlarmTime( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ShowTooltipAlarmTime" ) )) {
        self()->mShowTooltipAlarmTime = v;
        self()->mSettingsChanged |= signalTooltipPreferencesChanged;
      }
    }

    /**
      Get Show alarm times in system tray tooltip
    */
    static
    bool showTooltipAlarmTime()
    {
      return self()->mShowTooltipAlarmTime;
    }

    /**
      Get Item object corresponding to ShowTooltipAlarmTime()
    */
    ItemBool *showTooltipAlarmTimeItem()
    {
      return mShowTooltipAlarmTimeItem;
    }

    /**
      Set Show time to alarms in system tray tooltip
    */
    static
    void setShowTooltipTimeToAlarm( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ShowTooltipTimeToAlarm" ) )) {
        self()->mShowTooltipTimeToAlarm = v;
        self()->mSettingsChanged |= signalTooltipPreferencesChanged;
      }
    }

    /**
      Get Show time to alarms in system tray tooltip
    */
    static
    bool showTooltipTimeToAlarm()
    {
      return self()->mShowTooltipTimeToAlarm;
    }

    /**
      Get Item object corresponding to ShowTooltipTimeToAlarm()
    */
    ItemBool *showTooltipTimeToAlarmItem()
    {
      return mShowTooltipTimeToAlarmItem;
    }

    /**
      Set Time-to-alarm prefix in system tray tooltip
    */
    static
    void setTooltipTimeToPrefix( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "TooltipTimeToPrefix" ) )) {
        self()->mTooltipTimeToPrefix = v;
        self()->mSettingsChanged |= signalTooltipPreferencesChanged;
      }
    }

    /**
      Get Time-to-alarm prefix in system tray tooltip
    */
    static
    QString tooltipTimeToPrefix()
    {
      return self()->mTooltipTimeToPrefix;
    }

    /**
      Get Item object corresponding to TooltipTimeToPrefix()
    */
    ItemString *tooltipTimeToPrefixItem()
    {
      return mTooltipTimeToPrefixItem;
    }

    /**
      Set Email client
    */
    static
    void setEmailClient( MailClient v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "EmailClient" ) ))
        self()->mEmailClient = v;
    }

    /**
      Get Email client
    */
    static
    MailClient emailClient()
    {
      return static_cast<MailClient>(self()->mEmailClient);
    }

    /**
      Get Item object corresponding to EmailClient()
    */
    ItemEnum *emailClientItem()
    {
      return mEmailClientItem;
    }

    /**
      Set Whether to copy sent emails into KMail's Sent folder.
    */
    static
    void setBase_EmailCopyToKMail( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "Base_EmailCopyToKMail" ) ))
        self()->mBase_EmailCopyToKMail = v;
    }

    /**
      Get Whether to copy sent emails into KMail's Sent folder.
    */
    static
    bool base_EmailCopyToKMail()
    {
      return self()->mBase_EmailCopyToKMail;
    }

    /**
      Get Item object corresponding to Base_EmailCopyToKMail()
    */
    ItemBool *base_EmailCopyToKMailItem()
    {
      return mBase_EmailCopyToKMailItem;
    }

    /**
      Set 'From' email address
    */
    static
    void setBase_EmailFrom( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "Base_EmailFrom" ) ))
        self()->mBase_EmailFrom = v;
    }

    /**
      Get 'From' email address
    */
    static
    QString base_EmailFrom()
    {
      return self()->mBase_EmailFrom;
    }

    /**
      Get Item object corresponding to Base_EmailFrom()
    */
    ItemString *base_EmailFromItem()
    {
      return mBase_EmailFromItem;
    }

    /**
      Set 'Bcc' email address
    */
    static
    void setBase_EmailBccAddress( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "Base_EmailBccAddress" ) ))
        self()->mBase_EmailBccAddress = v;
    }

    /**
      Get 'Bcc' email address
    */
    static
    QString base_EmailBccAddress()
    {
      return self()->mBase_EmailBccAddress;
    }

    /**
      Get Item object corresponding to Base_EmailBccAddress()
    */
    ItemString *base_EmailBccAddressItem()
    {
      return mBase_EmailBccAddressItem;
    }

    /**
      Set Terminal for command alarms
    */
    static
    void setBase_CmdXTermCommand( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "Base_CmdXTermCommand" ) ))
        self()->mBase_CmdXTermCommand = v;
    }

    /**
      Get Terminal for command alarms
    */
    static
    QString base_CmdXTermCommand()
    {
      return self()->mBase_CmdXTermCommand;
    }

    /**
      Get Item object corresponding to Base_CmdXTermCommand()
    */
    ItemString *base_CmdXTermCommandItem()
    {
      return mBase_CmdXTermCommandItem;
    }

    /**
      Set Start of day for date-only alarms
    */
    static
    void setBase_StartOfDay( const QDateTime & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "Base_StartOfDay" ) )) {
        self()->mBase_StartOfDay = v;
        self()->mSettingsChanged |= signalBase_StartOfDayChanged;
      }
    }

    /**
      Get Start of day for date-only alarms
    */
    static
    QDateTime base_StartOfDay()
    {
      return self()->mBase_StartOfDay;
    }

    /**
      Get Item object corresponding to Base_StartOfDay()
    */
    ItemDateTime *base_StartOfDayItem()
    {
      return mBase_StartOfDayItem;
    }

    /**
      Set Start time of working day
    */
    static
    void setBase_WorkDayStart( const QDateTime & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "Base_WorkDayStart" ) )) {
        self()->mBase_WorkDayStart = v;
        self()->mSettingsChanged |= signalBase_WorkTimeChanged;
      }
    }

    /**
      Get Start time of working day
    */
    static
    QDateTime base_WorkDayStart()
    {
      return self()->mBase_WorkDayStart;
    }

    /**
      Get Item object corresponding to Base_WorkDayStart()
    */
    ItemDateTime *base_WorkDayStartItem()
    {
      return mBase_WorkDayStartItem;
    }

    /**
      Set End time of working day
    */
    static
    void setBase_WorkDayEnd( const QDateTime & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "Base_WorkDayEnd" ) )) {
        self()->mBase_WorkDayEnd = v;
        self()->mSettingsChanged |= signalBase_WorkTimeChanged;
      }
    }

    /**
      Get End time of working day
    */
    static
    QDateTime base_WorkDayEnd()
    {
      return self()->mBase_WorkDayEnd;
    }

    /**
      Get Item object corresponding to Base_WorkDayEnd()
    */
    ItemDateTime *base_WorkDayEndItem()
    {
      return mBase_WorkDayEndItem;
    }

    /**
      Set Working days
    */
    static
    void setBase_WorkDays( uint v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "Base_WorkDays" ) )) {
        self()->mBase_WorkDays = v;
        self()->mSettingsChanged |= signalBase_WorkTimeChanged;
      }
    }

    /**
      Get Working days
    */
    static
    uint base_WorkDays()
    {
      return self()->mBase_WorkDays;
    }

    /**
      Get Item object corresponding to Base_WorkDays()
    */
    ItemUInt *base_WorkDaysItem()
    {
      return mBase_WorkDaysItem;
    }

    /**
      Set Disabled alarm color
    */
    static
    void setDisabledColour( const QColor & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DisabledColour" ) )) {
        self()->mDisabledColour = v;
        self()->mSettingsChanged |= signalDisabledColourChanged;
      }
    }

    /**
      Get Disabled alarm color
    */
    static
    QColor disabledColour()
    {
      return self()->mDisabledColour;
    }

    /**
      Get Item object corresponding to DisabledColour()
    */
    ItemColor *disabledColourItem()
    {
      return mDisabledColourItem;
    }

    /**
      Set Archived alarm color
    */
    static
    void setArchivedColour( const QColor & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ArchivedColour" ) )) {
        self()->mArchivedColour = v;
        self()->mSettingsChanged |= signalArchivedColourChanged;
      }
    }

    /**
      Get Archived alarm color
    */
    static
    QColor archivedColour()
    {
      return self()->mArchivedColour;
    }

    /**
      Get Item object corresponding to ArchivedColour()
    */
    ItemColor *archivedColourItem()
    {
      return mArchivedColourItem;
    }

    /**
      Set Days to keep expired alarms
    */
    static
    void setArchivedKeepDays( int v )
    {
      if (v < -1)
      {
        kDebug() << "setArchivedKeepDays: value " << v << " is less than the minimum value of -1";
        v = -1;
      }
      if (!self()->isImmutable( QString::fromLatin1( "ArchivedKeepDays" ) )) {
        self()->mArchivedKeepDays = v;
        self()->mSettingsChanged |= signalArchivedKeepDaysChanged;
      }
    }

    /**
      Get Days to keep expired alarms
    */
    static
    int archivedKeepDays()
    {
      return self()->mArchivedKeepDays;
    }

    /**
      Get Item object corresponding to ArchivedKeepDays()
    */
    ItemInt *archivedKeepDaysItem()
    {
      return mArchivedKeepDaysItem;
    }

    /**
      Set KOrganizer event duration
    */
    static
    void setKOrgEventDuration( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "KOrgEventDuration" ) ))
        self()->mKOrgEventDuration = v;
    }

    /**
      Get KOrganizer event duration
    */
    static
    int kOrgEventDuration()
    {
      return self()->mKOrgEventDuration;
    }

    /**
      Get Item object corresponding to KOrgEventDuration()
    */
    ItemInt *kOrgEventDurationItem()
    {
      return mKOrgEventDurationItem;
    }

    /**
      Set Number of minutes before alarm to wake from suspend
    */
    static
    void setWakeFromSuspendAdvance( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "WakeFromSuspendAdvance" ) ))
        self()->mWakeFromSuspendAdvance = v;
    }

    /**
      Get Number of minutes before alarm to wake from suspend
    */
    static
    int wakeFromSuspendAdvance()
    {
      return self()->mWakeFromSuspendAdvance;
    }

    /**
      Get Item object corresponding to WakeFromSuspendAdvance()
    */
    ItemInt *wakeFromSuspendAdvanceItem()
    {
      return mWakeFromSuspendAdvanceItem;
    }

    /**
      Set Cancel if late (minutes)
    */
    static
    void setDefaultLateCancel( int v )
    {
      if (v < 0)
      {
        kDebug() << "setDefaultLateCancel: value " << v << " is less than the minimum value of 0";
        v = 0;
      }
      if (!self()->isImmutable( QString::fromLatin1( "DefaultLateCancel" ) ))
        self()->mDefaultLateCancel = v;
    }

    /**
      Get Cancel if late (minutes)
    */
    static
    int defaultLateCancel()
    {
      return self()->mDefaultLateCancel;
    }

    /**
      Get Item object corresponding to DefaultLateCancel()
    */
    ItemInt *defaultLateCancelItem()
    {
      return mDefaultLateCancelItem;
    }

    /**
      Set Auto-close window after late-cancellation time
    */
    static
    void setDefaultAutoClose( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DefaultAutoClose" ) ))
        self()->mDefaultAutoClose = v;
    }

    /**
      Get Auto-close window after late-cancellation time
    */
    static
    bool defaultAutoClose()
    {
      return self()->mDefaultAutoClose;
    }

    /**
      Get Item object corresponding to DefaultAutoClose()
    */
    ItemBool *defaultAutoCloseItem()
    {
      return mDefaultAutoCloseItem;
    }

    /**
      Set Confirm acknowledgement
    */
    static
    void setDefaultConfirmAck( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DefaultConfirmAck" ) ))
        self()->mDefaultConfirmAck = v;
    }

    /**
      Get Confirm acknowledgement
    */
    static
    bool defaultConfirmAck()
    {
      return self()->mDefaultConfirmAck;
    }

    /**
      Get Item object corresponding to DefaultConfirmAck()
    */
    ItemBool *defaultConfirmAckItem()
    {
      return mDefaultConfirmAckItem;
    }

    /**
      Set Show in KOrganizer
    */
    static
    void setDefaultCopyToKOrganizer( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DefaultCopyToKOrganizer" ) ))
        self()->mDefaultCopyToKOrganizer = v;
    }

    /**
      Get Show in KOrganizer
    */
    static
    bool defaultCopyToKOrganizer()
    {
      return self()->mDefaultCopyToKOrganizer;
    }

    /**
      Get Item object corresponding to DefaultCopyToKOrganizer()
    */
    ItemBool *defaultCopyToKOrganizerItem()
    {
      return mDefaultCopyToKOrganizerItem;
    }

    /**
      Set Sound
    */
    static
    void setDefaultSoundType( SoundType v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DefaultSoundType" ) ))
        self()->mDefaultSoundType = v;
    }

    /**
      Get Sound
    */
    static
    SoundType defaultSoundType()
    {
      return static_cast<SoundType>(self()->mDefaultSoundType);
    }

    /**
      Get Item object corresponding to DefaultSoundType()
    */
    ItemEnum *defaultSoundTypeItem()
    {
      return mDefaultSoundTypeItem;
    }

    /**
      Set Sound file
    */
    static
    void setDefaultSoundFile( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DefaultSoundFile" ) ))
        self()->mDefaultSoundFile = v;
    }

    /**
      Get Sound file
    */
    static
    QString defaultSoundFile()
    {
      return self()->mDefaultSoundFile;
    }

    /**
      Get Item object corresponding to DefaultSoundFile()
    */
    ItemPath *defaultSoundFileItem()
    {
      return mDefaultSoundFileItem;
    }

    /**
      Set Sound volume
    */
    static
    void setBase_DefaultSoundVolume( int v )
    {
      if (v < -1)
      {
        kDebug() << "setBase_DefaultSoundVolume: value " << v << " is less than the minimum value of -1";
        v = -1;
      }

      if (v > 100)
      {
        kDebug() << "setBase_DefaultSoundVolume: value " << v << " is greater than the maximum value of 100";
        v = 100;
      }

      if (!self()->isImmutable( QString::fromLatin1( "Base_DefaultSoundVolume" ) ))
        self()->mBase_DefaultSoundVolume = v;
    }

    /**
      Get Sound volume
    */
    static
    int base_DefaultSoundVolume()
    {
      return self()->mBase_DefaultSoundVolume;
    }

    /**
      Get Item object corresponding to Base_DefaultSoundVolume()
    */
    ItemInt *base_DefaultSoundVolumeItem()
    {
      return mBase_DefaultSoundVolumeItem;
    }

    /**
      Set Repeat sound file
    */
    static
    void setDefaultSoundRepeat( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DefaultSoundRepeat" ) ))
        self()->mDefaultSoundRepeat = v;
    }

    /**
      Get Repeat sound file
    */
    static
    bool defaultSoundRepeat()
    {
      return self()->mDefaultSoundRepeat;
    }

    /**
      Get Item object corresponding to DefaultSoundRepeat()
    */
    ItemBool *defaultSoundRepeatItem()
    {
      return mDefaultSoundRepeatItem;
    }

    /**
      Set Enter script
    */
    static
    void setDefaultCmdScript( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DefaultCmdScript" ) ))
        self()->mDefaultCmdScript = v;
    }

    /**
      Get Enter script
    */
    static
    bool defaultCmdScript()
    {
      return self()->mDefaultCmdScript;
    }

    /**
      Get Item object corresponding to DefaultCmdScript()
    */
    ItemBool *defaultCmdScriptItem()
    {
      return mDefaultCmdScriptItem;
    }

    /**
      Set Command output
    */
    static
    void setDefaultCmdLogType( CmdLogType v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DefaultCmdLogType" ) ))
        self()->mDefaultCmdLogType = v;
    }

    /**
      Get Command output
    */
    static
    CmdLogType defaultCmdLogType()
    {
      return static_cast<CmdLogType>(self()->mDefaultCmdLogType);
    }

    /**
      Get Item object corresponding to DefaultCmdLogType()
    */
    ItemEnum *defaultCmdLogTypeItem()
    {
      return mDefaultCmdLogTypeItem;
    }

    /**
      Set Log file
    */
    static
    void setDefaultCmdLogFile( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DefaultCmdLogFile" ) ))
        self()->mDefaultCmdLogFile = v;
    }

    /**
      Get Log file
    */
    static
    QString defaultCmdLogFile()
    {
      return self()->mDefaultCmdLogFile;
    }

    /**
      Get Item object corresponding to DefaultCmdLogFile()
    */
    ItemPath *defaultCmdLogFileItem()
    {
      return mDefaultCmdLogFileItem;
    }

    /**
      Set Copy email to self
    */
    static
    void setDefaultEmailBcc( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DefaultEmailBcc" ) ))
        self()->mDefaultEmailBcc = v;
    }

    /**
      Get Copy email to self
    */
    static
    bool defaultEmailBcc()
    {
      return self()->mDefaultEmailBcc;
    }

    /**
      Get Item object corresponding to DefaultEmailBcc()
    */
    ItemBool *defaultEmailBccItem()
    {
      return mDefaultEmailBccItem;
    }

    /**
      Set Recurrence period
    */
    static
    void setDefaultRecurPeriod( RecurType v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DefaultRecurPeriod" ) ))
        self()->mDefaultRecurPeriod = v;
    }

    /**
      Get Recurrence period
    */
    static
    RecurType defaultRecurPeriod()
    {
      return static_cast<RecurType>(self()->mDefaultRecurPeriod);
    }

    /**
      Get Item object corresponding to DefaultRecurPeriod()
    */
    ItemEnum *defaultRecurPeriodItem()
    {
      return mDefaultRecurPeriodItem;
    }

    /**
      Set In non-leap years, repeat yearly February 29th alarms on:
    */
    static
    void setDefaultFeb29Type( Feb29Type v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DefaultFeb29Type" ) )) {
        self()->mDefaultFeb29Type = v;
        self()->mSettingsChanged |= signalFeb29TypeChanged;
      }
    }

    /**
      Get In non-leap years, repeat yearly February 29th alarms on:
    */
    static
    Feb29Type defaultFeb29Type()
    {
      return static_cast<Feb29Type>(self()->mDefaultFeb29Type);
    }

    /**
      Get Item object corresponding to DefaultFeb29Type()
    */
    ItemEnum *defaultFeb29TypeItem()
    {
      return mDefaultFeb29TypeItem;
    }

    /**
      Set Reminder units
    */
    static
    void setDefaultReminderUnits( TimePeriod::Units v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DefaultReminderUnits" ) ))
        self()->mDefaultReminderUnits = v;
    }

    /**
      Get Reminder units
    */
    static
    TimePeriod::Units defaultReminderUnits()
    {
      return static_cast<TimePeriod::Units>(self()->mDefaultReminderUnits);
    }

    /**
      Get Item object corresponding to DefaultReminderUnits()
    */
    ItemEnum *defaultReminderUnitsItem()
    {
      return mDefaultReminderUnitsItem;
    }

    /**
      Set Pre-alarm action
    */
    static
    void setDefaultPreAction( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DefaultPreAction" ) ))
        self()->mDefaultPreAction = v;
    }

    /**
      Get Pre-alarm action
    */
    static
    QString defaultPreAction()
    {
      return self()->mDefaultPreAction;
    }

    /**
      Get Item object corresponding to DefaultPreAction()
    */
    ItemString *defaultPreActionItem()
    {
      return mDefaultPreActionItem;
    }

    /**
      Set Execute pre-alarm action for deferred alarms
    */
    static
    void setDefaultExecPreActionOnDeferral( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DefaultExecPreActionOnDeferral" ) ))
        self()->mDefaultExecPreActionOnDeferral = v;
    }

    /**
      Get Execute pre-alarm action for deferred alarms
    */
    static
    bool defaultExecPreActionOnDeferral()
    {
      return self()->mDefaultExecPreActionOnDeferral;
    }

    /**
      Get Item object corresponding to DefaultExecPreActionOnDeferral()
    */
    ItemBool *defaultExecPreActionOnDeferralItem()
    {
      return mDefaultExecPreActionOnDeferralItem;
    }

    /**
      Set Cancel alarm on pre-alarm action error
    */
    static
    void setDefaultCancelOnPreActionError( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DefaultCancelOnPreActionError" ) ))
        self()->mDefaultCancelOnPreActionError = v;
    }

    /**
      Get Cancel alarm on pre-alarm action error
    */
    static
    bool defaultCancelOnPreActionError()
    {
      return self()->mDefaultCancelOnPreActionError;
    }

    /**
      Get Item object corresponding to DefaultCancelOnPreActionError()
    */
    ItemBool *defaultCancelOnPreActionErrorItem()
    {
      return mDefaultCancelOnPreActionErrorItem;
    }

    /**
      Set Do not notify pre-alarm action errors
    */
    static
    void setDefaultDontShowPreActionError( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DefaultDontShowPreActionError" ) ))
        self()->mDefaultDontShowPreActionError = v;
    }

    /**
      Get Do not notify pre-alarm action errors
    */
    static
    bool defaultDontShowPreActionError()
    {
      return self()->mDefaultDontShowPreActionError;
    }

    /**
      Get Item object corresponding to DefaultDontShowPreActionError()
    */
    ItemBool *defaultDontShowPreActionErrorItem()
    {
      return mDefaultDontShowPreActionErrorItem;
    }

    /**
      Set Post-alarm action
    */
    static
    void setDefaultPostAction( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DefaultPostAction" ) ))
        self()->mDefaultPostAction = v;
    }

    /**
      Get Post-alarm action
    */
    static
    QString defaultPostAction()
    {
      return self()->mDefaultPostAction;
    }

    /**
      Get Item object corresponding to DefaultPostAction()
    */
    ItemString *defaultPostActionItem()
    {
      return mDefaultPostActionItem;
    }

    /**
      Set Warn before quitting
    */
    static
    void setBase_QuitWarn( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "Base_QuitWarn" ) ))
        self()->mBase_QuitWarn = v;
    }

    /**
      Get Warn before quitting
    */
    static
    bool base_QuitWarn()
    {
      return self()->mBase_QuitWarn;
    }

    /**
      Get Item object corresponding to Base_QuitWarn()
    */
    ItemBool *base_QuitWarnItem()
    {
      return mBase_QuitWarnItem;
    }

    /**
      Set Confirm alarm deletions
    */
    static
    void setBase_ConfirmAlarmDeletion( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "Base_ConfirmAlarmDeletion" ) ))
        self()->mBase_ConfirmAlarmDeletion = v;
    }

    /**
      Get Confirm alarm deletions
    */
    static
    bool base_ConfirmAlarmDeletion()
    {
      return self()->mBase_ConfirmAlarmDeletion;
    }

    /**
      Get Item object corresponding to Base_ConfirmAlarmDeletion()
    */
    ItemBool *base_ConfirmAlarmDeletionItem()
    {
      return mBase_ConfirmAlarmDeletionItem;
    }

    /**
      Set Notify when remote emails are queued
    */
    static
    void setBase_EmailQueuedNotify( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "Base_EmailQueuedNotify" ) ))
        self()->mBase_EmailQueuedNotify = v;
    }

    /**
      Get Notify when remote emails are queued
    */
    static
    bool base_EmailQueuedNotify()
    {
      return self()->mBase_EmailQueuedNotify;
    }

    /**
      Get Item object corresponding to Base_EmailQueuedNotify()
    */
    ItemBool *base_EmailQueuedNotifyItem()
    {
      return mBase_EmailQueuedNotifyItem;
    }


  Q_SIGNALS:
    void showInSystemTrayChanged(bool ShowInSystemTray);

    void autoHideSystemTrayChanged(int AutoHideSystemTray);

    void askResourceChanged(bool AskResource);

    void base_TimeZoneChanged(const QString & Base_TimeZone);

    void base_HolidayRegionChanged(const QString & Base_HolidayRegion);

    void base_StartOfDayChanged(const QDateTime & Base_StartOfDay);

    void base_WorkTimeChanged(const QDateTime & Base_WorkDayStart, const QDateTime & Base_WorkDayEnd, int Base_WorkDays);

    void messageFontChanged(const QFont & MessageFont);

    void disabledColourChanged(const QColor & DisabledColour);

    void archivedColourChanged(const QColor & ArchivedColour);

    void archivedKeepDaysChanged(int ArchivedKeepDays);

    void feb29TypeChanged(Feb29Type DefaultFeb29Type);

    void tooltipPreferencesChanged();

  protected:
    PreferencesBase();
    friend class PreferencesBaseHelper;

    virtual void usrWriteConfig();
  protected:

    // General
    QString mVersion;
    int mBackend;
    QString mBase_TimeZone;
    QString mBase_HolidayRegion;
    QColor mDefaultFgColour;
    QColor mDefaultBgColour;
    QFont mMessageFont;
    bool mShowInSystemTray;
    int mAutoHideSystemTray;
    bool mAutoStart;
    bool mNoAutoStart;
    int mDefaultDeferTime;
    bool mAskResource;
    bool mModalMessages;
    int mMessageButtonDelay;
    int mTooltipAlarmCount;
    bool mShowTooltipAlarmTime;
    bool mShowTooltipTimeToAlarm;
    QString mTooltipTimeToPrefix;
    int mEmailClient;
    bool mBase_EmailCopyToKMail;
    QString mBase_EmailFrom;
    QString mBase_EmailBccAddress;
    QString mBase_CmdXTermCommand;
    QDateTime mBase_StartOfDay;
    QDateTime mBase_WorkDayStart;
    QDateTime mBase_WorkDayEnd;
    uint mBase_WorkDays;
    QColor mDisabledColour;
    QColor mArchivedColour;
    int mArchivedKeepDays;
    int mKOrgEventDuration;
    int mWakeFromSuspendAdvance;

    // Defaults
    int mDefaultLateCancel;
    bool mDefaultAutoClose;
    bool mDefaultConfirmAck;
    bool mDefaultCopyToKOrganizer;
    int mDefaultSoundType;
    QString mDefaultSoundFile;
    int mBase_DefaultSoundVolume;
    bool mDefaultSoundRepeat;
    bool mDefaultCmdScript;
    int mDefaultCmdLogType;
    QString mDefaultCmdLogFile;
    bool mDefaultEmailBcc;
    int mDefaultRecurPeriod;
    int mDefaultFeb29Type;
    int mDefaultReminderUnits;
    QString mDefaultPreAction;
    bool mDefaultExecPreActionOnDeferral;
    bool mDefaultCancelOnPreActionError;
    bool mDefaultDontShowPreActionError;
    QString mDefaultPostAction;

    // Notification Messages
    bool mBase_QuitWarn;
    bool mBase_ConfirmAlarmDeletion;
    bool mBase_EmailQueuedNotify;

  private:
    ItemString *mVersionItem;
    ItemEnum *mBackendItem;
    ItemString *mBase_TimeZoneItem;
    ItemString *mBase_HolidayRegionItem;
    ItemColor *mDefaultFgColourItem;
    ItemColor *mDefaultBgColourItem;
    ItemFont *mMessageFontItem;
    ItemBool *mShowInSystemTrayItem;
    ItemInt *mAutoHideSystemTrayItem;
    ItemBool *mAutoStartItem;
    ItemBool *mNoAutoStartItem;
    ItemInt *mDefaultDeferTimeItem;
    ItemBool *mAskResourceItem;
    ItemBool *mModalMessagesItem;
    ItemInt *mMessageButtonDelayItem;
    ItemInt *mTooltipAlarmCountItem;
    ItemBool *mShowTooltipAlarmTimeItem;
    ItemBool *mShowTooltipTimeToAlarmItem;
    ItemString *mTooltipTimeToPrefixItem;
    ItemEnum *mEmailClientItem;
    ItemBool *mBase_EmailCopyToKMailItem;
    ItemString *mBase_EmailFromItem;
    ItemString *mBase_EmailBccAddressItem;
    ItemString *mBase_CmdXTermCommandItem;
    ItemDateTime *mBase_StartOfDayItem;
    ItemDateTime *mBase_WorkDayStartItem;
    ItemDateTime *mBase_WorkDayEndItem;
    ItemUInt *mBase_WorkDaysItem;
    ItemColor *mDisabledColourItem;
    ItemColor *mArchivedColourItem;
    ItemInt *mArchivedKeepDaysItem;
    ItemInt *mKOrgEventDurationItem;
    ItemInt *mWakeFromSuspendAdvanceItem;
    ItemInt *mDefaultLateCancelItem;
    ItemBool *mDefaultAutoCloseItem;
    ItemBool *mDefaultConfirmAckItem;
    ItemBool *mDefaultCopyToKOrganizerItem;
    ItemEnum *mDefaultSoundTypeItem;
    ItemPath *mDefaultSoundFileItem;
    ItemInt *mBase_DefaultSoundVolumeItem;
    ItemBool *mDefaultSoundRepeatItem;
    ItemBool *mDefaultCmdScriptItem;
    ItemEnum *mDefaultCmdLogTypeItem;
    ItemPath *mDefaultCmdLogFileItem;
    ItemBool *mDefaultEmailBccItem;
    ItemEnum *mDefaultRecurPeriodItem;
    ItemEnum *mDefaultFeb29TypeItem;
    ItemEnum *mDefaultReminderUnitsItem;
    ItemString *mDefaultPreActionItem;
    ItemBool *mDefaultExecPreActionOnDeferralItem;
    ItemBool *mDefaultCancelOnPreActionErrorItem;
    ItemBool *mDefaultDontShowPreActionErrorItem;
    ItemString *mDefaultPostActionItem;
    ItemBool *mBase_QuitWarnItem;
    ItemBool *mBase_ConfirmAlarmDeletionItem;
    ItemBool *mBase_EmailQueuedNotifyItem;
    uint mSettingsChanged;
};

#endif

