// This file is generated by kconfig_compiler from htmlexportsettings.kcfg.
// All changes you do to this file will be lost.

#include "htmlexportsettings.h"

#include <klocale.h>

using namespace KOrg;

HTMLExportSettings::HTMLExportSettings(  const QString & application )
  : KConfigSkeleton( QLatin1String( "korganizer_htmlexportrc" ) )
  , mParamapplication(application)
{
  setCurrentGroup( QString( QLatin1String( "%1-General" ) ).arg( mParamapplication ) );

  mNameItem = new KConfigSkeleton::ItemString( currentGroup(), QLatin1String( "Name" ), mName );
  mNameItem->setLabel( i18n("Full name of the calendar owner") );
  mNameItem->setToolTip( i18n("The full name of the calendar owner for the export") );
  mNameItem->setWhatsThis( i18n("Enter the full name to print for the owner of the calendar.") );
  addItem( mNameItem, QLatin1String( "Name" ) );
  mEMailItem = new KConfigSkeleton::ItemString( currentGroup(), QLatin1String( "EMail" ), mEMail );
  mEMailItem->setLabel( i18n("Email of the calendar owner") );
  mEMailItem->setToolTip( i18n("The email address of the calendar owner for the export") );
  mEMailItem->setWhatsThis( i18n("Enter the email address to print for the owner of the calendar.") );
  addItem( mEMailItem, QLatin1String( "EMail" ) );
  mCreditNameItem = new KConfigSkeleton::ItemString( currentGroup(), QLatin1String( "Credit Name" ), mCreditName );
  mCreditNameItem->setLabel( i18n("Creator application") );
  mCreditNameItem->setToolTip( i18n("Creator application of the calendar") );
  mCreditNameItem->setWhatsThis( i18n("Enter a creator application of the calendar, for example KOrganizer.") );
  addItem( mCreditNameItem, QLatin1String( "CreditName" ) );
  mCreditURLItem = new KConfigSkeleton::ItemString( currentGroup(), QLatin1String( "Credit URL" ), mCreditURL );
  mCreditURLItem->setLabel( i18n("Creator URL") );
  mCreditURLItem->setToolTip( i18n("URL of the creator application of the calendar.") );
  mCreditURLItem->setWhatsThis( i18n("Enter the URL of the creator application of the calendar, for example http://userbase.kde.org/KOrganizer") );
  addItem( mCreditURLItem, QLatin1String( "CreditURL" ) );
  mPageTitleItem = new KConfigSkeleton::ItemString( currentGroup(), QLatin1String( "Page Title" ), mPageTitle, i18n("Calendar") );
  mPageTitleItem->setLabel( i18n("Page Title") );
  mPageTitleItem->setToolTip( i18n("The title of the exported page") );
  mPageTitleItem->setWhatsThis( i18n("Enter a title for the HTML page.") );
  addItem( mPageTitleItem, QLatin1String( "PageTitle" ) );
  mDateStartItem = new KConfigSkeleton::ItemDateTime( currentGroup(), QLatin1String( "Date Start" ), mDateStart );
  mDateStartItem->setLabel( i18n("Date start") );
  mDateStartItem->setToolTip( i18n("First day of the range to export") );
  mDateStartItem->setWhatsThis( i18n("First day of the range that shall be exported to HTML.") );
  addItem( mDateStartItem, QLatin1String( "DateStart" ) );
  mDateEndItem = new KConfigSkeleton::ItemDateTime( currentGroup(), QLatin1String( "Date End" ), mDateEnd );
  mDateEndItem->setLabel( i18n("Date end") );
  mDateEndItem->setToolTip( i18n("Last day of the range to export") );
  mDateEndItem->setWhatsThis( i18n("Last day of the range that shall be exported to HTML.") );
  addItem( mDateEndItem, QLatin1String( "DateEnd" ) );
  mOutputFileItem = new KConfigSkeleton::ItemPath( currentGroup(), QLatin1String( "Output File" ), mOutputFile, QLatin1String( "$HOME/calendar.html" ) );
  mOutputFileItem->setLabel( i18n("Output filename") );
  mOutputFileItem->setToolTip( i18n("The file name for the export") );
  mOutputFileItem->setWhatsThis( i18n("The output file name for the HTML export.") );
  addItem( mOutputFileItem, QLatin1String( "OutputFile" ) );
  mStyleSheetItem = new KConfigSkeleton::ItemString( currentGroup(), QLatin1String( "Style Sheet" ), mStyleSheet );
  mStyleSheetItem->setLabel( i18n("Style sheet") );
  mStyleSheetItem->setToolTip( i18n("CSS style sheet to use by the final HTML page") );
  mStyleSheetItem->setWhatsThis( i18n("CSS style sheet to be used by the final HTML page. This string contains the actual contents of the CSS, not a path to the style sheet.") );
  addItem( mStyleSheetItem, QLatin1String( "StyleSheet" ) );
  mExcludePrivateItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "Exclude Private" ), mExcludePrivate, true );
  mExcludePrivateItem->setLabel( i18n("Exclude private incidences from the export") );
  mExcludePrivateItem->setToolTip( i18n("Exclude private items from the export") );
  mExcludePrivateItem->setWhatsThis( i18n("Check this box if you do NOT want to export your private items.") );
  addItem( mExcludePrivateItem, QLatin1String( "ExcludePrivate" ) );
  mExcludeConfidentialItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "Exclude Confidential" ), mExcludeConfidential, true );
  mExcludeConfidentialItem->setLabel( i18n("Exclude confidential incidences from the export") );
  mExcludeConfidentialItem->setToolTip( i18n("Exclude confidential items from the export") );
  mExcludeConfidentialItem->setWhatsThis( i18n("Check this box if you do NOT want to export your confidential items.") );
  addItem( mExcludeConfidentialItem, QLatin1String( "ExcludeConfidential" ) );

  setCurrentGroup( QString( QLatin1String( "%1-Events" ) ).arg( mParamapplication ) );

  mEventViewItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "Event View" ), mEventView, false );
  mEventViewItem->setLabel( i18n("Export events as list") );
  mEventViewItem->setToolTip( i18n("Export events as a list") );
  mEventViewItem->setWhatsThis( i18n("Check this box if you want your events shown as a list.") );
  addItem( mEventViewItem, QLatin1String( "EventView" ) );
  mMonthViewItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "Month View" ), mMonthView, true );
  mMonthViewItem->setLabel( i18n("Export in month view") );
  mMonthViewItem->setToolTip( i18n("Export events in a month view") );
  mMonthViewItem->setWhatsThis( i18n("Check this box if you want your events shown in a month view.") );
  addItem( mMonthViewItem, QLatin1String( "MonthView" ) );
  mWeekViewItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "Week View" ), mWeekView, false );
  mWeekViewItem->setLabel( i18n("Export in week view") );
  mWeekViewItem->setToolTip( i18n("Export events in a week view") );
  mWeekViewItem->setWhatsThis( i18n("Check this box if you want your events shown in a week view.") );
  addItem( mWeekViewItem, QLatin1String( "WeekView" ) );
  mEventTitleItem = new KConfigSkeleton::ItemString( currentGroup(), QLatin1String( "Title" ), mEventTitle, i18n("Calendar") );
  mEventTitleItem->setLabel( i18n("Title of the calendar") );
  mEventTitleItem->setToolTip( i18n("Title for the event calendar") );
  mEventTitleItem->setWhatsThis( i18n("Enter a string to use for the title of the event calendar.") );
  addItem( mEventTitleItem, QLatin1String( "EventTitle" ) );
  mEventLocationItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "Export Location" ), mEventLocation, true );
  mEventLocationItem->setLabel( i18n("Export location of the events") );
  mEventLocationItem->setToolTip( i18n("Include the event locations") );
  mEventLocationItem->setWhatsThis( i18n("Check this box if you want the event locations to be exported, only if the event has a location.") );
  addItem( mEventLocationItem, QLatin1String( "EventLocation" ) );
  mEventCategoriesItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "Export Categories" ), mEventCategories, true );
  mEventCategoriesItem->setLabel( i18n("Export categories of the events") );
  mEventCategoriesItem->setToolTip( i18n("Include the event categories") );
  mEventCategoriesItem->setWhatsThis( i18n("Check this box if you want the event categories to be exported.") );
  addItem( mEventCategoriesItem, QLatin1String( "EventCategories" ) );
  mEventAttendeesItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "Export Attendees" ), mEventAttendees, false );
  mEventAttendeesItem->setLabel( i18n("Export attendees of the events") );
  mEventAttendeesItem->setToolTip( i18n("Include the event attendees") );
  mEventAttendeesItem->setWhatsThis( i18n("Check this box if you want the event attendees to be exported.") );
  addItem( mEventAttendeesItem, QLatin1String( "EventAttendees" ) );

  setCurrentGroup( QString( QLatin1String( "%1-Todos" ) ).arg( mParamapplication ) );

  mTodoViewItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "Todo View" ), mTodoView, true );
  mTodoViewItem->setLabel( i18n("Export to-do list") );
  mTodoViewItem->setToolTip( i18n("Export the to-do list") );
  mTodoViewItem->setWhatsThis( i18n("Check this box if you want your to-do list to also be exported to the HTML.") );
  addItem( mTodoViewItem, QLatin1String( "TodoView" ) );
  mTodoListTitleItem = new KConfigSkeleton::ItemString( currentGroup(), QLatin1String( "TodoList Title" ), mTodoListTitle, i18n("To-do List") );
  mTodoListTitleItem->setLabel( i18n("Title of the to-do list") );
  mTodoListTitleItem->setToolTip( i18n("Title for the to-do list") );
  mTodoListTitleItem->setWhatsThis( i18n("Enter a string to use for the title of the to-do list.") );
  addItem( mTodoListTitleItem, QLatin1String( "TodoListTitle" ) );
  mTaskDueDateItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "Export Due Date" ), mTaskDueDate, true );
  mTaskDueDateItem->setLabel( i18n("Export due dates of the to-dos") );
  mTaskDueDateItem->setToolTip( i18n("Include to-do due dates") );
  mTaskDueDateItem->setWhatsThis( i18n("Check this box if you want the to-do list due dates to be exported, if the to-do does have a due date.") );
  addItem( mTaskDueDateItem, QLatin1String( "TaskDueDate" ) );
  mTaskLocationItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "Export Location" ), mTaskLocation, true );
  mTaskLocationItem->setLabel( i18n("Export location of the to-dos") );
  mTaskLocationItem->setToolTip( i18n("Include the to-do locations") );
  mTaskLocationItem->setWhatsThis( i18n("Check this box if you want the to-do locations to be exported, only if the to-do has a location.") );
  addItem( mTaskLocationItem, QLatin1String( "TaskLocation" ) );
  mTaskCategoriesItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "Export Categories" ), mTaskCategories, true );
  mTaskCategoriesItem->setLabel( i18n("Export categories of the to-dos") );
  mTaskCategoriesItem->setToolTip( i18n("Include the to-do categories") );
  mTaskCategoriesItem->setWhatsThis( i18n("Check this box if you want the to-do categories to be exported.") );
  addItem( mTaskCategoriesItem, QLatin1String( "TaskCategories" ) );
  mTaskAttendeesItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "Export Attendees" ), mTaskAttendees, false );
  mTaskAttendeesItem->setLabel( i18n("Export attendees of the to-dos") );
  mTaskAttendeesItem->setToolTip( i18n("Include the to-do attendees") );
  mTaskAttendeesItem->setWhatsThis( i18n("Check this box if you want the to-do attendees to be exported.") );
  addItem( mTaskAttendeesItem, QLatin1String( "TaskAttendees" ) );

  setCurrentGroup( QString( QLatin1String( "%1-Journals" ) ).arg( mParamapplication ) );

  mJournalViewItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "Journal View" ), mJournalView, false );
  mJournalViewItem->setLabel( i18n("Export journals") );
  mJournalViewItem->setToolTip( i18n("Export journals") );
  mJournalViewItem->setWhatsThis( i18n("Check this box if you want to export journals as well.") );
  addItem( mJournalViewItem, QLatin1String( "JournalView" ) );
  mJournalTitleItem = new KConfigSkeleton::ItemString( currentGroup(), QLatin1String( "Journal Title" ), mJournalTitle, i18n("Journals") );
  mJournalTitleItem->setLabel( i18n("Title of the journal list") );
  mJournalTitleItem->setToolTip( i18n("Title for the journal list") );
  mJournalTitleItem->setWhatsThis( i18n("Enter a title for the Journal list, if Journals are exported.") );
  addItem( mJournalTitleItem, QLatin1String( "JournalTitle" ) );

  setCurrentGroup( QString( QLatin1String( "%1-FreeBusy" ) ).arg( mParamapplication ) );

  mFreeBusyViewItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "FreeBusy View" ), mFreeBusyView, false );
  mFreeBusyViewItem->setLabel( i18n("Export free/busy list") );
  mFreeBusyViewItem->setToolTip( i18n("Export free/busy list") );
  mFreeBusyViewItem->setWhatsThis( i18n("Check this box if you want to export free/busy information as well.") );
  addItem( mFreeBusyViewItem, QLatin1String( "FreeBusyView" ) );
  mFreeBusyTitleItem = new KConfigSkeleton::ItemString( currentGroup(), QLatin1String( "Free/Busy Title" ), mFreeBusyTitle, i18n("Busy times") );
  mFreeBusyTitleItem->setLabel( i18n("Title of the free/busy list") );
  mFreeBusyTitleItem->setToolTip( i18n("Title for the free/busy list") );
  mFreeBusyTitleItem->setWhatsThis( i18n("Enter a title for the free/busy list, if free/busy times are exported.") );
  addItem( mFreeBusyTitleItem, QLatin1String( "FreeBusyTitle" ) );
}

HTMLExportSettings::~HTMLExportSettings()
{
}

