// This file is generated by kconfig_compiler from settings.kcfg.
// All changes you do to this file will be lost.

#include "settings.h"

#include <klocale.h>

#include <kglobal.h>
#include <QtCore/QFile>

using namespace MessageList::Core;

namespace MessageList {
namespace Core {

class SettingsPrivate
{
  public:

    // MessageListView
    bool messageToolTipEnabled;
    bool autoHideTabBarWithSingleTab;
    bool tabsHaveCloseButton;
    bool showQuickSearch;
    QString tagSelected;

    // MessageListView::Colors
    QColor unreadMessageColor;
    QColor importantMessageColor;
    QColor todoMessageColor;

    // MessageListView::Fonts
    QFont messageListFont;
    QFont unreadMessageFont;
    QFont importantMessageFont;
    QFont todoMessageFont;

    // items
    KConfigSkeleton::ItemBool *messageToolTipEnabledItem;
    KConfigSkeleton::ItemBool *autoHideTabBarWithSingleTabItem;
    KConfigSkeleton::ItemBool *tabsHaveCloseButtonItem;
    KConfigSkeleton::ItemBool *showQuickSearchItem;
    KConfigSkeleton::ItemString *tagSelectedItem;
    KConfigSkeleton::ItemColor *unreadMessageColorItem;
    KConfigSkeleton::ItemColor *importantMessageColorItem;
    KConfigSkeleton::ItemColor *todoMessageColorItem;
    KConfigSkeleton::ItemFont *messageListFontItem;
    KConfigSkeleton::ItemFont *unreadMessageFontItem;
    KConfigSkeleton::ItemFont *importantMessageFontItem;
    KConfigSkeleton::ItemFont *todoMessageFontItem;
};

}
}

namespace MessageList {
namespace Core {

class SettingsHelper
{
  public:
    SettingsHelper() : q(0) {}
    ~SettingsHelper() { delete q; }
    Settings *q;
};
}
}

K_GLOBAL_STATIC(SettingsHelper, s_globalSettings)
Settings *Settings::self()
{
  if (!s_globalSettings->q) {
    new Settings;
    s_globalSettings->q->readConfig();
  }

  return s_globalSettings->q;
}

Settings::Settings(  )
  : KConfigSkeleton()
{
  d = new SettingsPrivate;
  Q_ASSERT(!s_globalSettings->q);
  s_globalSettings->q = this;
  setCurrentGroup( QLatin1String( "MessageListView" ) );

  d->messageToolTipEnabledItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "MessageToolTipEnabled" ), d->messageToolTipEnabled, true );
  d->messageToolTipEnabledItem->setLabel( i18n("Display tooltips for messages and group headers") );
  d->messageToolTipEnabledItem->setWhatsThis( i18n("Enable this option to display tooltips when hovering over an item in the message list.") );
  addItem( d->messageToolTipEnabledItem, QLatin1String( "MessageToolTipEnabled" ) );
  d->autoHideTabBarWithSingleTabItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "AutoHideTabBarWithSingleTab" ), d->autoHideTabBarWithSingleTab, true );
  d->autoHideTabBarWithSingleTabItem->setLabel( i18n("Hide tab bar when only one tab is open") );
  d->autoHideTabBarWithSingleTabItem->setWhatsThis( i18n("With this option enabled the tab bar will be displayed only when there are two or more tabs. With this option disabled the tab bar will be always shown. When the tab bar is hidden you can always open a folder in a new tab by middle-clicking it.") );
  addItem( d->autoHideTabBarWithSingleTabItem, QLatin1String( "AutoHideTabBarWithSingleTab" ) );
  d->tabsHaveCloseButtonItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "TabsHaveCloseButton" ), d->tabsHaveCloseButton, false );
  d->tabsHaveCloseButtonItem->setLabel( i18n("Show close button on each tab") );
  d->tabsHaveCloseButtonItem->setWhatsThis( i18n("Enable this option if you want to have a close button on each tab.") );
  addItem( d->tabsHaveCloseButtonItem, QLatin1String( "TabsHaveCloseButton" ) );
  d->showQuickSearchItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "ShowQuickSearch" ), d->showQuickSearch, true );
  d->showQuickSearchItem->setLabel( i18n("ShowQuickSearch") );
  addItem( d->showQuickSearchItem, QLatin1String( "ShowQuickSearch" ) );
  d->tagSelectedItem = new KConfigSkeleton::ItemString( currentGroup(), QLatin1String( "TagSelected" ), d->tagSelected );
  d->tagSelectedItem->setLabel( i18n("TagSelected") );
  addItem( d->tagSelectedItem, QLatin1String( "TagSelected" ) );

  setCurrentGroup( QLatin1String( "MessageListView::Colors" ) );

  d->unreadMessageColorItem = new KConfigSkeleton::ItemColor( currentGroup(), QLatin1String( "UnreadMessageColor" ), d->unreadMessageColor, MessageList::Util::unreadDefaultMessageColor() );
  d->unreadMessageColorItem->setLabel( i18n("UnreadMessageColor") );
  addItem( d->unreadMessageColorItem, QLatin1String( "UnreadMessageColor" ) );
  d->importantMessageColorItem = new KConfigSkeleton::ItemColor( currentGroup(), QLatin1String( "ImportantMessageColor" ), d->importantMessageColor, MessageList::Util::importantDefaultMessageColor() );
  d->importantMessageColorItem->setLabel( i18n("ImportantMessageColor") );
  addItem( d->importantMessageColorItem, QLatin1String( "ImportantMessageColor" ) );
  d->todoMessageColorItem = new KConfigSkeleton::ItemColor( currentGroup(), QLatin1String( "TodoMessageColor" ), d->todoMessageColor, MessageList::Util::todoDefaultMessageColor() );
  d->todoMessageColorItem->setLabel( i18n("TodoMessageColor") );
  addItem( d->todoMessageColorItem, QLatin1String( "TodoMessageColor" ) );

  setCurrentGroup( QLatin1String( "MessageListView::Fonts" ) );

  d->messageListFontItem = new KConfigSkeleton::ItemFont( currentGroup(), QLatin1String( "MessageListFont" ), d->messageListFont, KGlobalSettings::generalFont() );
  d->messageListFontItem->setLabel( i18n("MessageListFont") );
  addItem( d->messageListFontItem, QLatin1String( "MessageListFont" ) );
  d->unreadMessageFontItem = new KConfigSkeleton::ItemFont( currentGroup(), QLatin1String( "UnreadMessageFont" ), d->unreadMessageFont, KGlobalSettings::generalFont() );
  d->unreadMessageFontItem->setLabel( i18n("UnreadMessageFont") );
  addItem( d->unreadMessageFontItem, QLatin1String( "UnreadMessageFont" ) );
  d->importantMessageFontItem = new KConfigSkeleton::ItemFont( currentGroup(), QLatin1String( "ImportantMessageFont" ), d->importantMessageFont, KGlobalSettings::generalFont() );
  d->importantMessageFontItem->setLabel( i18n("ImportantMessageFont") );
  addItem( d->importantMessageFontItem, QLatin1String( "ImportantMessageFont" ) );
  d->todoMessageFontItem = new KConfigSkeleton::ItemFont( currentGroup(), QLatin1String( "TodoMessageFont" ), d->todoMessageFont, KGlobalSettings::generalFont() );
  d->todoMessageFontItem->setLabel( i18n("TodoMessageFont") );
  addItem( d->todoMessageFontItem, QLatin1String( "TodoMessageFont" ) );
}

void Settings::setMessageToolTipEnabled( bool v )
{
      if (!self()->isImmutable( QString::fromLatin1( "MessageToolTipEnabled" ) ))
        self()->d->messageToolTipEnabled = v;
}

bool Settings::messageToolTipEnabled()
{
  return self()->d->messageToolTipEnabled;
}


KConfigSkeleton::ItemBool *Settings::messageToolTipEnabledItem()
{
  return d->messageToolTipEnabledItem;
}

void Settings::setAutoHideTabBarWithSingleTab( bool v )
{
      if (!self()->isImmutable( QString::fromLatin1( "AutoHideTabBarWithSingleTab" ) ))
        self()->d->autoHideTabBarWithSingleTab = v;
}

bool Settings::autoHideTabBarWithSingleTab()
{
  return self()->d->autoHideTabBarWithSingleTab;
}


KConfigSkeleton::ItemBool *Settings::autoHideTabBarWithSingleTabItem()
{
  return d->autoHideTabBarWithSingleTabItem;
}

void Settings::setTabsHaveCloseButton( bool v )
{
      if (!self()->isImmutable( QString::fromLatin1( "TabsHaveCloseButton" ) ))
        self()->d->tabsHaveCloseButton = v;
}

bool Settings::tabsHaveCloseButton()
{
  return self()->d->tabsHaveCloseButton;
}


KConfigSkeleton::ItemBool *Settings::tabsHaveCloseButtonItem()
{
  return d->tabsHaveCloseButtonItem;
}

void Settings::setShowQuickSearch( bool v )
{
      if (!self()->isImmutable( QString::fromLatin1( "ShowQuickSearch" ) ))
        self()->d->showQuickSearch = v;
}

bool Settings::showQuickSearch()
{
  return self()->d->showQuickSearch;
}


KConfigSkeleton::ItemBool *Settings::showQuickSearchItem()
{
  return d->showQuickSearchItem;
}

void Settings::setTagSelected( const QString & v )
{
      if (!self()->isImmutable( QString::fromLatin1( "TagSelected" ) ))
        self()->d->tagSelected = v;
}

QString Settings::tagSelected()
{
  return self()->d->tagSelected;
}


KConfigSkeleton::ItemString *Settings::tagSelectedItem()
{
  return d->tagSelectedItem;
}

void Settings::setUnreadMessageColor( const QColor & v )
{
      if (!self()->isImmutable( QString::fromLatin1( "UnreadMessageColor" ) ))
        self()->d->unreadMessageColor = v;
}

QColor Settings::unreadMessageColor()
{
  return self()->d->unreadMessageColor;
}


KConfigSkeleton::ItemColor *Settings::unreadMessageColorItem()
{
  return d->unreadMessageColorItem;
}

void Settings::setImportantMessageColor( const QColor & v )
{
      if (!self()->isImmutable( QString::fromLatin1( "ImportantMessageColor" ) ))
        self()->d->importantMessageColor = v;
}

QColor Settings::importantMessageColor()
{
  return self()->d->importantMessageColor;
}


KConfigSkeleton::ItemColor *Settings::importantMessageColorItem()
{
  return d->importantMessageColorItem;
}

void Settings::setTodoMessageColor( const QColor & v )
{
      if (!self()->isImmutable( QString::fromLatin1( "TodoMessageColor" ) ))
        self()->d->todoMessageColor = v;
}

QColor Settings::todoMessageColor()
{
  return self()->d->todoMessageColor;
}


KConfigSkeleton::ItemColor *Settings::todoMessageColorItem()
{
  return d->todoMessageColorItem;
}

void Settings::setMessageListFont( const QFont & v )
{
      if (!self()->isImmutable( QString::fromLatin1( "MessageListFont" ) ))
        self()->d->messageListFont = v;
}

QFont Settings::messageListFont()
{
  return self()->d->messageListFont;
}


KConfigSkeleton::ItemFont *Settings::messageListFontItem()
{
  return d->messageListFontItem;
}

void Settings::setUnreadMessageFont( const QFont & v )
{
      if (!self()->isImmutable( QString::fromLatin1( "UnreadMessageFont" ) ))
        self()->d->unreadMessageFont = v;
}

QFont Settings::unreadMessageFont()
{
  return self()->d->unreadMessageFont;
}


KConfigSkeleton::ItemFont *Settings::unreadMessageFontItem()
{
  return d->unreadMessageFontItem;
}

void Settings::setImportantMessageFont( const QFont & v )
{
      if (!self()->isImmutable( QString::fromLatin1( "ImportantMessageFont" ) ))
        self()->d->importantMessageFont = v;
}

QFont Settings::importantMessageFont()
{
  return self()->d->importantMessageFont;
}


KConfigSkeleton::ItemFont *Settings::importantMessageFontItem()
{
  return d->importantMessageFontItem;
}

void Settings::setTodoMessageFont( const QFont & v )
{
      if (!self()->isImmutable( QString::fromLatin1( "TodoMessageFont" ) ))
        self()->d->todoMessageFont = v;
}

QFont Settings::todoMessageFont()
{
  return self()->d->todoMessageFont;
}


KConfigSkeleton::ItemFont *Settings::todoMessageFontItem()
{
  return d->todoMessageFontItem;
}

Settings::~Settings()
{
  delete d;
  if (!s_globalSettings.isDestroyed()) {
    s_globalSettings->q = 0;
  }
}

