// This file is generated by kconfig_compiler from messageviewer.kcfg.
// All changes you do to this file will be lost.
#ifndef MESSAGEVIEWER_GLOBALSETTINGSBASE_H
#define MESSAGEVIEWER_GLOBALSETTINGSBASE_H

#include <qapplication.h>
#include <messageviewer_export.h>
#include <viewer/objecttreeparser.h>

#include <kconfigskeleton.h>
#include <kdebug.h>

#include <kglobalsettings.h>
#include <kcolorscheme.h>
namespace MessageViewer {

class MESSAGEVIEWER_EXPORT GlobalSettingsBase : public KConfigSkeleton
{
  public:
    class EnumMimeTreeLocation
    {
      public:
      enum type { top, bottom, COUNT };
    };
    class EnumMimeTreeMode
    {
      public:
      enum type { Never, Always, COUNT };
    };
    class EnumAskForCommentWhenReactingToInvitation
    {
      public:
      enum type { NeverAsk, AskForAllButAcceptance, AlwaysAsk, COUNT };
    };
    class EnumCustomHeadersDefaultPolicy
    {
      public:
      enum type { Display, Hide, COUNT };
    };

    static GlobalSettingsBase *self();
    ~GlobalSettingsBase();

    /**
      Set Only print selected text in viewer
    */
    static
    void setPrintSelectedText( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "PrintSelectedText" ) ))
        self()->mPrintSelectedText = v;
    }

    /**
      Get Only print selected text in viewer
    */
    static
    bool printSelectedText()
    {
      return self()->mPrintSelectedText;
    }

    /**
      Get Item object corresponding to PrintSelectedText()
    */
    ItemBool *printSelectedTextItem()
    {
      return mPrintSelectedTextItem;
    }

    /**
      Set Respect expand/collapse quote mark which is defined in settings during printing.
    */
    static
    void setRespectExpandCollapseSettings( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "RespectExpandCollapseSettings" ) ))
        self()->mRespectExpandCollapseSettings = v;
    }

    /**
      Get Respect expand/collapse quote mark which is defined in settings during printing.
    */
    static
    bool respectExpandCollapseSettings()
    {
      return self()->mRespectExpandCollapseSettings;
    }

    /**
      Get Item object corresponding to RespectExpandCollapseSettings()
    */
    ItemBool *respectExpandCollapseSettingsItem()
    {
      return mRespectExpandCollapseSettingsItem;
    }

    /**
      Set Specifies whether the background color and images are also drawn when the page is printed.
    */
    static
    void setPrintBackgroundColorImages( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "PrintBackgroundColorImages" ) ))
        self()->mPrintBackgroundColorImages = v;
    }

    /**
      Get Specifies whether the background color and images are also drawn when the page is printed.
    */
    static
    bool printBackgroundColorImages()
    {
      return self()->mPrintBackgroundColorImages;
    }

    /**
      Get Item object corresponding to PrintBackgroundColorImages()
    */
    ItemBool *printBackgroundColorImagesItem()
    {
      return mPrintBackgroundColorImagesItem;
    }

    /**
      Set fixed-font
    */
    static
    void setFixedFont( const QFont & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "FixedFont" ) ))
        self()->mFixedFont = v;
    }

    /**
      Get fixed-font
    */
    static
    QFont fixedFont()
    {
      return self()->mFixedFont;
    }

    /**
      Get Item object corresponding to FixedFont()
    */
    ItemFont *fixedFontItem()
    {
      return mFixedFontItem;
    }

    /**
      Set When we render html do not use font size inferior to minimum size.
    */
    static
    void setMinimumFontSize( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "MinimumFontSize" ) ))
        self()->mMinimumFontSize = v;
    }

    /**
      Get When we render html do not use font size inferior to minimum size.
    */
    static
    int minimumFontSize()
    {
      return self()->mMinimumFontSize;
    }

    /**
      Get Item object corresponding to MinimumFontSize()
    */
    ItemInt *minimumFontSizeItem()
    {
      return mMinimumFontSizeItem;
    }

    /**
      Set When encountering a Toltec scheduling message, display a custom replacement text for it.
    */
    static
    void setShowToltecReplacementText( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ShowToltecReplacementText" ) ))
        self()->mShowToltecReplacementText = v;
    }

    /**
      Get When encountering a Toltec scheduling message, display a custom replacement text for it.
    */
    static
    bool showToltecReplacementText()
    {
      return self()->mShowToltecReplacementText;
    }

    /**
      Get Item object corresponding to ShowToltecReplacementText()
    */
    ItemBool *showToltecReplacementTextItem()
    {
      return mShowToltecReplacementTextItem;
    }

    /**
      Set The text that will be displayed as a replacement when encountering Toltec scheduling messages.
    */
    static
    void setToltecReplacementText( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ToltecReplacementText" ) ))
        self()->mToltecReplacementText = v;
    }

    /**
      Get The text that will be displayed as a replacement when encountering Toltec scheduling messages.
    */
    static
    QString toltecReplacementText()
    {
      return self()->mToltecReplacementText;
    }

    /**
      Get Item object corresponding to ToltecReplacementText()
    */
    ItemString *toltecReplacementTextItem()
    {
      return mToltecReplacementTextItem;
    }

    /**
      Set AutoImportKeys
    */
    static
    void setAutoImportKeys( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "AutoImportKeys" ) ))
        self()->mAutoImportKeys = v;
    }

    /**
      Get AutoImportKeys
    */
    static
    bool autoImportKeys()
    {
      return self()->mAutoImportKeys;
    }

    /**
      Get Item object corresponding to AutoImportKeys()
    */
    ItemBool *autoImportKeysItem()
    {
      return mAutoImportKeysItem;
    }

    /**
      Set store-displayed-messages-unencrypted
    */
    static
    void setStoreDisplayedMessagesUnencrypted( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "StoreDisplayedMessagesUnencrypted" ) ))
        self()->mStoreDisplayedMessagesUnencrypted = v;
    }

    /**
      Get store-displayed-messages-unencrypted
    */
    static
    bool storeDisplayedMessagesUnencrypted()
    {
      return self()->mStoreDisplayedMessagesUnencrypted;
    }

    /**
      Get Item object corresponding to StoreDisplayedMessagesUnencrypted()
    */
    ItemBool *storeDisplayedMessagesUnencryptedItem()
    {
      return mStoreDisplayedMessagesUnencryptedItem;
    }

    /**
      Set Show HTML status bar
    */
    static
    void setShowColorBar( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "showColorBar" ) ))
        self()->mShowColorBar = v;
    }

    /**
      Get Show HTML status bar
    */
    static
    bool showColorBar()
    {
      return self()->mShowColorBar;
    }

    /**
      Get Item object corresponding to showColorBar()
    */
    ItemBool *showColorBarItem()
    {
      return mShowColorBarItem;
    }

    /**
      Set Show spam status in fancy headers
    */
    static
    void setShowSpamStatus( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "showSpamStatus" ) ))
        self()->mShowSpamStatus = v;
    }

    /**
      Get Show spam status in fancy headers
    */
    static
    bool showSpamStatus()
    {
      return self()->mShowSpamStatus;
    }

    /**
      Get Item object corresponding to showSpamStatus()
    */
    ItemBool *showSpamStatusItem()
    {
      return mShowSpamStatusItem;
    }

    /**
      Set Replace smileys by emoticons
    */
    static
    void setShowEmoticons( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ShowEmoticons" ) ))
        self()->mShowEmoticons = v;
    }

    /**
      Get Replace smileys by emoticons
    */
    static
    bool showEmoticons()
    {
      return self()->mShowEmoticons;
    }

    /**
      Get Item object corresponding to ShowEmoticons()
    */
    ItemBool *showEmoticonsItem()
    {
      return mShowEmoticonsItem;
    }

    /**
      Set Show expand/collapse quote marks
    */
    static
    void setShowExpandQuotesMark( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ShowExpandQuotesMark" ) ))
        self()->mShowExpandQuotesMark = v;
    }

    /**
      Get Show expand/collapse quote marks
    */
    static
    bool showExpandQuotesMark()
    {
      return self()->mShowExpandQuotesMark;
    }

    /**
      Get Item object corresponding to ShowExpandQuotesMark()
    */
    ItemBool *showExpandQuotesMarkItem()
    {
      return mShowExpandQuotesMarkItem;
    }

    /**
      Set Automatic collapse level:
    */
    static
    void setCollapseQuoteLevelSpin( int v )
    {
      if (v < 0)
      {
        kDebug() << "setCollapseQuoteLevelSpin: value " << v << " is less than the minimum value of 0";
        v = 0;
      }

      if (v > 10)
      {
        kDebug() << "setCollapseQuoteLevelSpin: value " << v << " is greater than the maximum value of 10";
        v = 10;
      }

      if (!self()->isImmutable( QString::fromLatin1( "CollapseQuoteLevelSpin" ) ))
        self()->mCollapseQuoteLevelSpin = v;
    }

    /**
      Get Automatic collapse level:
    */
    static
    int collapseQuoteLevelSpin()
    {
      return self()->mCollapseQuoteLevelSpin;
    }

    /**
      Get Item object corresponding to CollapseQuoteLevelSpin()
    */
    ItemInt *collapseQuoteLevelSpinItem()
    {
      return mCollapseQuoteLevelSpinItem;
    }

    /**
      Set Reduce font size for quoted text
    */
    static
    void setShrinkQuotes( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ShrinkQuotes" ) ))
        self()->mShrinkQuotes = v;
    }

    /**
      Get Reduce font size for quoted text
    */
    static
    bool shrinkQuotes()
    {
      return self()->mShrinkQuotes;
    }

    /**
      Get Item object corresponding to ShrinkQuotes()
    */
    ItemBool *shrinkQuotesItem()
    {
      return mShrinkQuotesItem;
    }

    /**
      Set ChiasmusDecryptionKey
    */
    static
    void setChiasmusDecryptionKey( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ChiasmusDecryptionKey" ) ))
        self()->mChiasmusDecryptionKey = v;
    }

    /**
      Get ChiasmusDecryptionKey
    */
    static
    QString chiasmusDecryptionKey()
    {
      return self()->mChiasmusDecryptionKey;
    }

    /**
      Get Item object corresponding to ChiasmusDecryptionKey()
    */
    ItemString *chiasmusDecryptionKeyItem()
    {
      return mChiasmusDecryptionKeyItem;
    }

    /**
      Set ChiasmusDecryptionOptions
    */
    static
    void setChiasmusDecryptionOptions( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ChiasmusDecryptionOptions" ) ))
        self()->mChiasmusDecryptionOptions = v;
    }

    /**
      Get ChiasmusDecryptionOptions
    */
    static
    QString chiasmusDecryptionOptions()
    {
      return self()->mChiasmusDecryptionOptions;
    }

    /**
      Get Item object corresponding to ChiasmusDecryptionOptions()
    */
    ItemString *chiasmusDecryptionOptionsItem()
    {
      return mChiasmusDecryptionOptionsItem;
    }

    /**
      Set Show user agent in fancy headers
    */
    static
    void setShowUserAgent( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ShowUserAgent" ) ))
        self()->mShowUserAgent = v;
    }

    /**
      Get Show user agent in fancy headers
    */
    static
    bool showUserAgent()
    {
      return self()->mShowUserAgent;
    }

    /**
      Get Item object corresponding to ShowUserAgent()
    */
    ItemBool *showUserAgentItem()
    {
      return mShowUserAgentItem;
    }

    /**
      Set Allow to delete attachments of existing mails.
    */
    static
    void setAllowAttachmentDeletion( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "AllowAttachmentDeletion" ) ))
        self()->mAllowAttachmentDeletion = v;
    }

    /**
      Get Allow to delete attachments of existing mails.
    */
    static
    bool allowAttachmentDeletion()
    {
      return self()->mAllowAttachmentDeletion;
    }

    /**
      Get Item object corresponding to AllowAttachmentDeletion()
    */
    ItemBool *allowAttachmentDeletionItem()
    {
      return mAllowAttachmentDeletionItem;
    }

    /**
      Set Allow to edit attachments of existing mails.
    */
    static
    void setAllowAttachmentEditing( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "AllowAttachmentEditing" ) ))
        self()->mAllowAttachmentEditing = v;
    }

    /**
      Get Allow to edit attachments of existing mails.
    */
    static
    bool allowAttachmentEditing()
    {
      return self()->mAllowAttachmentEditing;
    }

    /**
      Get Item object corresponding to AllowAttachmentEditing()
    */
    ItemBool *allowAttachmentEditingItem()
    {
      return mAllowAttachmentEditingItem;
    }

    /**
      Set Always decrypt messages when viewing or ask before decrypting
    */
    static
    void setAlwaysDecrypt( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "AlwaysDecrypt" ) ))
        self()->mAlwaysDecrypt = v;
    }

    /**
      Get Always decrypt messages when viewing or ask before decrypting
    */
    static
    bool alwaysDecrypt()
    {
      return self()->mAlwaysDecrypt;
    }

    /**
      Get Item object corresponding to AlwaysDecrypt()
    */
    ItemBool *alwaysDecryptItem()
    {
      return mAlwaysDecryptItem;
    }

    /**
      Set Message Structure Viewer Placement
    */
    static
    void setMimeTreeLocation( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "MimeTreeLocation" ) ))
        self()->mMimeTreeLocation = v;
    }

    /**
      Get Message Structure Viewer Placement
    */
    static
    int mimeTreeLocation()
    {
      return self()->mMimeTreeLocation;
    }

    /**
      Get Item object corresponding to MimeTreeLocation()
    */
    ItemEnum *mimeTreeLocationItem()
    {
      return mMimeTreeLocationItem;
    }

    /**
      Set Message Structure Viewer
    */
    static
    void setMimeTreeMode( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "MimeTreeMode" ) ))
        self()->mMimeTreeMode = v;
    }

    /**
      Get Message Structure Viewer
    */
    static
    int mimeTreeMode()
    {
      return self()->mMimeTreeMode;
    }

    /**
      Get Item object corresponding to MimeTreeMode()
    */
    ItemEnum *mimeTreeModeItem()
    {
      return mMimeTreeModeItem;
    }

    /**
      Set Number of addresses to show before collapsing
    */
    static
    void setNumberOfAddressesToShow( int v )
    {
      if (v < 1)
      {
        kDebug() << "setNumberOfAddressesToShow: value " << v << " is less than the minimum value of 1";
        v = 1;
      }
      if (!self()->isImmutable( QString::fromLatin1( "numberOfAddressesToShow" ) ))
        self()->mNumberOfAddressesToShow = v;
    }

    /**
      Get Number of addresses to show before collapsing
    */
    static
    int numberOfAddressesToShow()
    {
      return self()->mNumberOfAddressesToShow;
    }

    /**
      Get Item object corresponding to numberOfAddressesToShow()
    */
    ItemInt *numberOfAddressesToShowItem()
    {
      return mNumberOfAddressesToShowItem;
    }

    /**
      Set MimePaneHeight
    */
    static
    void setMimePaneHeight( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "MimePaneHeight" ) ))
        self()->mMimePaneHeight = v;
    }

    /**
      Get MimePaneHeight
    */
    static
    int mimePaneHeight()
    {
      return self()->mMimePaneHeight;
    }

    /**
      Get Item object corresponding to MimePaneHeight()
    */
    ItemInt *mimePaneHeightItem()
    {
      return mMimePaneHeightItem;
    }

    /**
      Set MessagePaneHeight
    */
    static
    void setMessagePaneHeight( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "MessagePaneHeight" ) ))
        self()->mMessagePaneHeight = v;
    }

    /**
      Get MessagePaneHeight
    */
    static
    int messagePaneHeight()
    {
      return self()->mMessagePaneHeight;
    }

    /**
      Get Item object corresponding to MessagePaneHeight()
    */
    ItemInt *messagePaneHeightItem()
    {
      return mMessagePaneHeightItem;
    }

    /**
      Set What style of headers should be displayed
    */
    static
    void setHeaderStyle( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "headerStyle" ) ))
        self()->mHeaderStyle = v;
    }

    /**
      Get What style of headers should be displayed
    */
    static
    QString headerStyle()
    {
      return self()->mHeaderStyle;
    }

    /**
      Get Item object corresponding to headerStyle()
    */
    ItemString *headerStyleItem()
    {
      return mHeaderStyleItem;
    }

    /**
      Set How much of headers should be displayed
    */
    static
    void setHeaderSetDisplayed( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "headerSetDisplayed" ) ))
        self()->mHeaderSetDisplayed = v;
    }

    /**
      Get How much of headers should be displayed
    */
    static
    QString headerSetDisplayed()
    {
      return self()->mHeaderSetDisplayed;
    }

    /**
      Get Item object corresponding to headerSetDisplayed()
    */
    ItemString *headerSetDisplayedItem()
    {
      return mHeaderSetDisplayedItem;
    }

    /**
      Set Prefer HTML to plain text
    */
    static
    void setHtmlMail( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "htmlMail" ) ))
        self()->mHtmlMail = v;
    }

    /**
      Get Prefer HTML to plain text
    */
    static
    bool htmlMail()
    {
      return self()->mHtmlMail;
    }

    /**
      Get Item object corresponding to htmlMail()
    */
    ItemBool *htmlMailItem()
    {
      return mHtmlMailItem;
    }

    /**
      Set Allow messages to load external references from the Internet
    */
    static
    void setHtmlLoadExternal( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "htmlLoadExternal" ) ))
        self()->mHtmlLoadExternal = v;
    }

    /**
      Get Allow messages to load external references from the Internet
    */
    static
    bool htmlLoadExternal()
    {
      return self()->mHtmlLoadExternal;
    }

    /**
      Get Item object corresponding to htmlLoadExternal()
    */
    ItemBool *htmlLoadExternalItem()
    {
      return mHtmlLoadExternalItem;
    }

    /**
      Set Zoom only text
    */
    static
    void setZoomTextOnly( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "zoomTextOnly" ) ))
        self()->mZoomTextOnly = v;
    }

    /**
      Get Zoom only text
    */
    static
    bool zoomTextOnly()
    {
      return self()->mZoomTextOnly;
    }

    /**
      Get Item object corresponding to zoomTextOnly()
    */
    ItemBool *zoomTextOnlyItem()
    {
      return mZoomTextOnlyItem;
    }

    /**
      Set How attachments are shown
    */
    static
    void setAttachmentStrategy( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "attachmentStrategy" ) ))
        self()->mAttachmentStrategy = v;
    }

    /**
      Get How attachments are shown
    */
    static
    QString attachmentStrategy()
    {
      return self()->mAttachmentStrategy;
    }

    /**
      Get Item object corresponding to attachmentStrategy()
    */
    ItemString *attachmentStrategyItem()
    {
      return mAttachmentStrategyItem;
    }

    /**
      Set Specifies whether to reuse the quote color, beyond the 3rd level
    */
    static
    void setRecycleQuoteColors( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "RecycleQuoteColors" ) ))
        self()->mRecycleQuoteColors = v;
    }

    /**
      Get Specifies whether to reuse the quote color, beyond the 3rd level
    */
    static
    bool recycleQuoteColors()
    {
      return self()->mRecycleQuoteColors;
    }

    /**
      Get Item object corresponding to RecycleQuoteColors()
    */
    ItemBool *recycleQuoteColorsItem()
    {
      return mRecycleQuoteColorsItem;
    }

    /**
      Set Activate Access Key
    */
    static
    void setAccessKeyEnabled( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "AccessKeyEnabled" ) ))
        self()->mAccessKeyEnabled = v;
    }

    /**
      Get Activate Access Key
    */
    static
    bool accessKeyEnabled()
    {
      return self()->mAccessKeyEnabled;
    }

    /**
      Get Item object corresponding to AccessKeyEnabled()
    */
    ItemBool *accessKeyEnabledItem()
    {
      return mAccessKeyEnabledItem;
    }

    /**
      Set KMail can analyze messages for suspected email scams by looking for common techniques used to deceive you
    */
    static
    void setScamDetectionEnabled( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ScamDetectionEnabled" ) ))
        self()->mScamDetectionEnabled = v;
    }

    /**
      Get KMail can analyze messages for suspected email scams by looking for common techniques used to deceive you
    */
    static
    bool scamDetectionEnabled()
    {
      return self()->mScamDetectionEnabled;
    }

    /**
      Get Item object corresponding to ScamDetectionEnabled()
    */
    ItemBool *scamDetectionEnabledItem()
    {
      return mScamDetectionEnabledItem;
    }

    /**
      Set List of emails in scam white list
    */
    static
    void setScamDetectionWhiteList( const QStringList & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ScamDetectionWhiteList" ) ))
        self()->mScamDetectionWhiteList = v;
    }

    /**
      Get List of emails in scam white list
    */
    static
    QStringList scamDetectionWhiteList()
    {
      return self()->mScamDetectionWhiteList;
    }

    /**
      Get Item object corresponding to ScamDetectionWhiteList()
    */
    ItemStringList *scamDetectionWhiteListItem()
    {
      return mScamDetectionWhiteListItem;
    }

    /**
      Set Enabled ad block
    */
    static
    void setAdBlockEnabled( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "AdBlockEnabled" ) ))
        self()->mAdBlockEnabled = v;
    }

    /**
      Get Enabled ad block
    */
    static
    bool adBlockEnabled()
    {
      return self()->mAdBlockEnabled;
    }

    /**
      Get Item object corresponding to AdBlockEnabled()
    */
    ItemBool *adBlockEnabledItem()
    {
      return mAdBlockEnabledItem;
    }

    /**
      Set Hide advertisement enabled
    */
    static
    void setHideAdsEnabled( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "HideAdsEnabled" ) ))
        self()->mHideAdsEnabled = v;
    }

    /**
      Get Hide advertisement enabled
    */
    static
    bool hideAdsEnabled()
    {
      return self()->mHideAdsEnabled;
    }

    /**
      Get Item object corresponding to HideAdsEnabled()
    */
    ItemBool *hideAdsEnabledItem()
    {
      return mHideAdsEnabledItem;
    }

    /**
      Set Update interval list of adblock
    */
    static
    void setAdBlockUpdateInterval( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "AdBlockUpdateInterval" ) ))
        self()->mAdBlockUpdateInterval = v;
    }

    /**
      Get Update interval list of adblock
    */
    static
    int adBlockUpdateInterval()
    {
      return self()->mAdBlockUpdateInterval;
    }

    /**
      Get Item object corresponding to AdBlockUpdateInterval()
    */
    ItemInt *adBlockUpdateIntervalItem()
    {
      return mAdBlockUpdateIntervalItem;
    }

    /**
      Set whiteReferer
    */
    static
    void setWhiteReferer( const QStringList & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "whiteReferer" ) ))
        self()->mWhiteReferer = v;
    }

    /**
      Get whiteReferer
    */
    static
    QStringList whiteReferer()
    {
      return self()->mWhiteReferer;
    }

    /**
      Get Item object corresponding to whiteReferer()
    */
    ItemStringList *whiteRefererItem()
    {
      return mWhiteRefererItem;
    }

    /**
      Set HtmlQuoteColorerEnabled
    */
    static
    void setHtmlQuoteColorerEnabled( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "HtmlQuoteColorerEnabled" ) ))
        self()->mHtmlQuoteColorerEnabled = v;
    }

    /**
      Get HtmlQuoteColorerEnabled
    */
    static
    bool htmlQuoteColorerEnabled()
    {
      return self()->mHtmlQuoteColorerEnabled;
    }

    /**
      Get Item object corresponding to HtmlQuoteColorerEnabled()
    */
    ItemBool *htmlQuoteColorerEnabledItem()
    {
      return mHtmlQuoteColorerEnabledItem;
    }

    /**
      Set GravatarSupportEnabled
    */
    static
    void setGravatarSupportEnabled( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "GravatarSupportEnabled" ) ))
        self()->mGravatarSupportEnabled = v;
    }

    /**
      Get GravatarSupportEnabled
    */
    static
    bool gravatarSupportEnabled()
    {
      return self()->mGravatarSupportEnabled;
    }

    /**
      Get Item object corresponding to GravatarSupportEnabled()
    */
    ItemBool *gravatarSupportEnabledItem()
    {
      return mGravatarSupportEnabledItem;
    }

    /**
      Set GravatarUseDefaultImage
    */
    static
    void setGravatarUseDefaultImage( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "GravatarUseDefaultImage" ) ))
        self()->mGravatarUseDefaultImage = v;
    }

    /**
      Get GravatarUseDefaultImage
    */
    static
    bool gravatarUseDefaultImage()
    {
      return self()->mGravatarUseDefaultImage;
    }

    /**
      Get Item object corresponding to GravatarUseDefaultImage()
    */
    ItemBool *gravatarUseDefaultImageItem()
    {
      return mGravatarUseDefaultImageItem;
    }

    /**
      Set GravatarCacheSize
    */
    static
    void setGravatarCacheSize( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "GravatarCacheSize" ) ))
        self()->mGravatarCacheSize = v;
    }

    /**
      Get GravatarCacheSize
    */
    static
    int gravatarCacheSize()
    {
      return self()->mGravatarCacheSize;
    }

    /**
      Get Item object corresponding to GravatarCacheSize()
    */
    ItemInt *gravatarCacheSizeItem()
    {
      return mGravatarCacheSizeItem;
    }

    /**
      Set automaticDecrypt
    */
    static
    void setAutomaticDecrypt( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "automaticDecrypt" ) ))
        self()->mAutomaticDecrypt = v;
    }

    /**
      Get automaticDecrypt
    */
    static
    bool automaticDecrypt()
    {
      return self()->mAutomaticDecrypt;
    }

    /**
      Get Item object corresponding to automaticDecrypt()
    */
    ItemBool *automaticDecryptItem()
    {
      return mAutomaticDecryptItem;
    }

    /**
      Set Do not send MDNs in response to encrypted messages
    */
    static
    void setNotSendWhenEncrypted( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "notSendWhenEncrypted" ) ))
        self()->mNotSendWhenEncrypted = v;
    }

    /**
      Get Do not send MDNs in response to encrypted messages
    */
    static
    bool notSendWhenEncrypted()
    {
      return self()->mNotSendWhenEncrypted;
    }

    /**
      Get Item object corresponding to notSendWhenEncrypted()
    */
    ItemBool *notSendWhenEncryptedItem()
    {
      return mNotSendWhenEncryptedItem;
    }

    /**
      Set Specifies the default policy to use, for the Message Disposition Notifications (for internal use only)
    */
    static
    void setDefaultPolicy( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DefaultPolicy" ) ))
        self()->mDefaultPolicy = v;
    }

    /**
      Get Specifies the default policy to use, for the Message Disposition Notifications (for internal use only)
    */
    static
    int defaultPolicy()
    {
      return self()->mDefaultPolicy;
    }

    /**
      Get Item object corresponding to DefaultPolicy()
    */
    ItemInt *defaultPolicyItem()
    {
      return mDefaultPolicyItem;
    }

    /**
      Set Specifies the default quoting action to take, when replying to a message (for internal use only)
    */
    static
    void setQuoteMessage( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "QuoteMessage" ) ))
        self()->mQuoteMessage = v;
    }

    /**
      Get Specifies the default quoting action to take, when replying to a message (for internal use only)
    */
    static
    int quoteMessage()
    {
      return self()->mQuoteMessage;
    }

    /**
      Get Item object corresponding to QuoteMessage()
    */
    ItemInt *quoteMessageItem()
    {
      return mQuoteMessageItem;
    }

    /**
      Set DelayedMarkAsRead
    */
    static
    void setDelayedMarkAsRead( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DelayedMarkAsRead" ) ))
        self()->mDelayedMarkAsRead = v;
    }

    /**
      Get DelayedMarkAsRead
    */
    static
    bool delayedMarkAsRead()
    {
      return self()->mDelayedMarkAsRead;
    }

    /**
      Get Item object corresponding to DelayedMarkAsRead()
    */
    ItemBool *delayedMarkAsReadItem()
    {
      return mDelayedMarkAsReadItem;
    }

    /**
      Set DelayedMarkTime
    */
    static
    void setDelayedMarkTime( uint v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DelayedMarkTime" ) ))
        self()->mDelayedMarkTime = v;
    }

    /**
      Get DelayedMarkTime
    */
    static
    uint delayedMarkTime()
    {
      return self()->mDelayedMarkTime;
    }

    /**
      Get Item object corresponding to DelayedMarkTime()
    */
    ItemUInt *delayedMarkTimeItem()
    {
      return mDelayedMarkTimeItem;
    }

    /**
      Set Mangle From:/To: headers in replies to replies
    */
    static
    void setLegacyMangleFromToHeaders( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "LegacyMangleFromToHeaders" ) ))
        self()->mLegacyMangleFromToHeaders = v;
    }

    /**
      Get Mangle From:/To: headers in replies to replies
    */
    static
    bool legacyMangleFromToHeaders()
    {
      return self()->mLegacyMangleFromToHeaders;
    }

    /**
      Get Item object corresponding to LegacyMangleFromToHeaders()
    */
    ItemBool *legacyMangleFromToHeadersItem()
    {
      return mLegacyMangleFromToHeadersItem;
    }

    /**
      Set Send groupware invitations in the mail body
    */
    static
    void setLegacyBodyInvites( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "LegacyBodyInvites" ) ))
        self()->mLegacyBodyInvites = v;
    }

    /**
      Get Send groupware invitations in the mail body
    */
    static
    bool legacyBodyInvites()
    {
      return self()->mLegacyBodyInvites;
    }

    /**
      Get Item object corresponding to LegacyBodyInvites()
    */
    ItemBool *legacyBodyInvitesItem()
    {
      return mLegacyBodyInvitesItem;
    }

    /**
      Set Exchange-compatible invitation naming
    */
    static
    void setExchangeCompatibleInvitations( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ExchangeCompatibleInvitations" ) ))
        self()->mExchangeCompatibleInvitations = v;
    }

    /**
      Get Exchange-compatible invitation naming
    */
    static
    bool exchangeCompatibleInvitations()
    {
      return self()->mExchangeCompatibleInvitations;
    }

    /**
      Get Item object corresponding to ExchangeCompatibleInvitations()
    */
    ItemBool *exchangeCompatibleInvitationsItem()
    {
      return mExchangeCompatibleInvitationsItem;
    }

    /**
      Set Outlook compatible invitation reply comments
    */
    static
    void setOutlookCompatibleInvitationReplyComments( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "OutlookCompatibleInvitationReplyComments" ) ))
        self()->mOutlookCompatibleInvitationReplyComments = v;
    }

    /**
      Get Outlook compatible invitation reply comments
    */
    static
    bool outlookCompatibleInvitationReplyComments()
    {
      return self()->mOutlookCompatibleInvitationReplyComments;
    }

    /**
      Get Item object corresponding to OutlookCompatibleInvitationReplyComments()
    */
    ItemBool *outlookCompatibleInvitationReplyCommentsItem()
    {
      return mOutlookCompatibleInvitationReplyCommentsItem;
    }

    /**
      Set Show invitation update differences in the Outlook style
    */
    static
    void setOutlookCompatibleInvitationComparisons( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "OutlookCompatibleInvitationComparisons" ) ))
        self()->mOutlookCompatibleInvitationComparisons = v;
    }

    /**
      Get Show invitation update differences in the Outlook style
    */
    static
    bool outlookCompatibleInvitationComparisons()
    {
      return self()->mOutlookCompatibleInvitationComparisons;
    }

    /**
      Get Item object corresponding to OutlookCompatibleInvitationComparisons()
    */
    ItemBool *outlookCompatibleInvitationComparisonsItem()
    {
      return mOutlookCompatibleInvitationComparisonsItem;
    }

    /**
      Set Automatic invitation sending
    */
    static
    void setAutomaticSending( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "AutomaticSending" ) ))
        self()->mAutomaticSending = v;
    }

    /**
      Get Automatic invitation sending
    */
    static
    bool automaticSending()
    {
      return self()->mAutomaticSending;
    }

    /**
      Get Item object corresponding to AutomaticSending()
    */
    ItemBool *automaticSendingItem()
    {
      return mAutomaticSendingItem;
    }

    /**
      Set Delete invitation emails after the reply to them has been sent
    */
    static
    void setDeleteInvitationEmailsAfterSendingReply( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DeleteInvitationEmailsAfterSendingReply" ) ))
        self()->mDeleteInvitationEmailsAfterSendingReply = v;
    }

    /**
      Get Delete invitation emails after the reply to them has been sent
    */
    static
    bool deleteInvitationEmailsAfterSendingReply()
    {
      return self()->mDeleteInvitationEmailsAfterSendingReply;
    }

    /**
      Get Item object corresponding to DeleteInvitationEmailsAfterSendingReply()
    */
    ItemBool *deleteInvitationEmailsAfterSendingReplyItem()
    {
      return mDeleteInvitationEmailsAfterSendingReplyItem;
    }

    /**
      Set AskForCommentWhenReactingToInvitation
    */
    static
    void setAskForCommentWhenReactingToInvitation( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "AskForCommentWhenReactingToInvitation" ) ))
        self()->mAskForCommentWhenReactingToInvitation = v;
    }

    /**
      Get AskForCommentWhenReactingToInvitation
    */
    static
    int askForCommentWhenReactingToInvitation()
    {
      return self()->mAskForCommentWhenReactingToInvitation;
    }

    /**
      Get Item object corresponding to AskForCommentWhenReactingToInvitation()
    */
    ItemEnum *askForCommentWhenReactingToInvitationItem()
    {
      return mAskForCommentWhenReactingToInvitationItem;
    }

    /**
      Set Use Fi&xed Font
    */
    static
    void setUseFixedFont( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "UseFixedFont" ) ))
        self()->mUseFixedFont = v;
    }

    /**
      Get Use Fi&xed Font
    */
    static
    bool useFixedFont()
    {
      return self()->mUseFixedFont;
    }

    /**
      Get Item object corresponding to UseFixedFont()
    */
    ItemBool *useFixedFontItem()
    {
      return mUseFixedFontItem;
    }

    /**
      Set headers to display
    */
    static
    void setHeadersToDisplay( const QStringList & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "HeadersToDisplay" ) ))
        self()->mHeadersToDisplay = v;
    }

    /**
      Get headers to display
    */
    static
    QStringList headersToDisplay()
    {
      return self()->mHeadersToDisplay;
    }

    /**
      Get Item object corresponding to HeadersToDisplay()
    */
    ItemStringList *headersToDisplayItem()
    {
      return mHeadersToDisplayItem;
    }

    /**
      Set headers to hide
    */
    static
    void setHeadersToHide( const QStringList & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "HeadersToHide" ) ))
        self()->mHeadersToHide = v;
    }

    /**
      Get headers to hide
    */
    static
    QStringList headersToHide()
    {
      return self()->mHeadersToHide;
    }

    /**
      Get Item object corresponding to HeadersToHide()
    */
    ItemStringList *headersToHideItem()
    {
      return mHeadersToHideItem;
    }

    /**
      Set CustomHeadersDefaultPolicy
    */
    static
    void setCustomHeadersDefaultPolicy( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "CustomHeadersDefaultPolicy" ) ))
        self()->mCustomHeadersDefaultPolicy = v;
    }

    /**
      Get CustomHeadersDefaultPolicy
    */
    static
    int customHeadersDefaultPolicy()
    {
      return self()->mCustomHeadersDefaultPolicy;
    }

    /**
      Get Item object corresponding to CustomHeadersDefaultPolicy()
    */
    ItemEnum *customHeadersDefaultPolicyItem()
    {
      return mCustomHeadersDefaultPolicyItem;
    }

    /**
      Set LastSelectedFolder
    */
    static
    void setLastSelectedFolder( qint64 v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "LastSelectedFolder" ) ))
        self()->mLastSelectedFolder = v;
    }

    /**
      Get LastSelectedFolder
    */
    static
    qint64 lastSelectedFolder()
    {
      return self()->mLastSelectedFolder;
    }

    /**
      Get Item object corresponding to LastSelectedFolder()
    */
    ItemLongLong *lastSelectedFolderItem()
    {
      return mLastSelectedFolderItem;
    }

    /**
      Set LastEventSelectedFolder
    */
    static
    void setLastEventSelectedFolder( qint64 v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "LastEventSelectedFolder" ) ))
        self()->mLastEventSelectedFolder = v;
    }

    /**
      Get LastEventSelectedFolder
    */
    static
    qint64 lastEventSelectedFolder()
    {
      return self()->mLastEventSelectedFolder;
    }

    /**
      Get Item object corresponding to LastEventSelectedFolder()
    */
    ItemLongLong *lastEventSelectedFolderItem()
    {
      return mLastEventSelectedFolderItem;
    }

  protected:
    GlobalSettingsBase();
    friend class GlobalSettingsBaseHelper;


    // Print
    bool mPrintSelectedText;
    bool mRespectExpandCollapseSettings;
    bool mPrintBackgroundColorImages;

    // Fonts
    QFont mFixedFont;
    int mMinimumFontSize;

    // Reader
    bool mShowToltecReplacementText;
    QString mToltecReplacementText;
    bool mAutoImportKeys;
    bool mStoreDisplayedMessagesUnencrypted;
    bool mShowColorBar;
    bool mShowSpamStatus;
    bool mShowEmoticons;
    bool mShowExpandQuotesMark;
    int mCollapseQuoteLevelSpin;
    bool mShrinkQuotes;
    QString mChiasmusDecryptionKey;
    QString mChiasmusDecryptionOptions;
    bool mShowUserAgent;
    bool mAllowAttachmentDeletion;
    bool mAllowAttachmentEditing;
    bool mAlwaysDecrypt;
    int mMimeTreeLocation;
    int mMimeTreeMode;
    int mNumberOfAddressesToShow;
    int mMimePaneHeight;
    int mMessagePaneHeight;
    QString mHeaderStyle;
    QString mHeaderSetDisplayed;
    bool mHtmlMail;
    bool mHtmlLoadExternal;
    bool mZoomTextOnly;
    QString mAttachmentStrategy;
    bool mRecycleQuoteColors;
    bool mAccessKeyEnabled;
    bool mScamDetectionEnabled;
    QStringList mScamDetectionWhiteList;
    bool mAdBlockEnabled;
    bool mHideAdsEnabled;
    int mAdBlockUpdateInterval;
    QStringList mWhiteReferer;
    bool mHtmlQuoteColorerEnabled;
    bool mGravatarSupportEnabled;
    bool mGravatarUseDefaultImage;
    int mGravatarCacheSize;

    // TextIndex
    bool mAutomaticDecrypt;

    // MDN
    bool mNotSendWhenEncrypted;
    int mDefaultPolicy;
    int mQuoteMessage;

    // Behaviour
    bool mDelayedMarkAsRead;
    uint mDelayedMarkTime;

    // Invitations
    bool mLegacyMangleFromToHeaders;
    bool mLegacyBodyInvites;
    bool mExchangeCompatibleInvitations;
    bool mOutlookCompatibleInvitationReplyComments;
    bool mOutlookCompatibleInvitationComparisons;
    bool mAutomaticSending;
    bool mDeleteInvitationEmailsAfterSendingReply;
    int mAskForCommentWhenReactingToInvitation;

    // Composer
    bool mUseFixedFont;

    // Custom Headers
    QStringList mHeadersToDisplay;
    QStringList mHeadersToHide;
    int mCustomHeadersDefaultPolicy;

    // Todo
    qint64 mLastSelectedFolder;

    // Event
    qint64 mLastEventSelectedFolder;

  private:
    ItemBool *mPrintSelectedTextItem;
    ItemBool *mRespectExpandCollapseSettingsItem;
    ItemBool *mPrintBackgroundColorImagesItem;
    ItemFont *mFixedFontItem;
    ItemInt *mMinimumFontSizeItem;
    ItemBool *mShowToltecReplacementTextItem;
    ItemString *mToltecReplacementTextItem;
    ItemBool *mAutoImportKeysItem;
    ItemBool *mStoreDisplayedMessagesUnencryptedItem;
    ItemBool *mShowColorBarItem;
    ItemBool *mShowSpamStatusItem;
    ItemBool *mShowEmoticonsItem;
    ItemBool *mShowExpandQuotesMarkItem;
    ItemInt *mCollapseQuoteLevelSpinItem;
    ItemBool *mShrinkQuotesItem;
    ItemString *mChiasmusDecryptionKeyItem;
    ItemString *mChiasmusDecryptionOptionsItem;
    ItemBool *mShowUserAgentItem;
    ItemBool *mAllowAttachmentDeletionItem;
    ItemBool *mAllowAttachmentEditingItem;
    ItemBool *mAlwaysDecryptItem;
    ItemEnum *mMimeTreeLocationItem;
    ItemEnum *mMimeTreeModeItem;
    ItemInt *mNumberOfAddressesToShowItem;
    ItemInt *mMimePaneHeightItem;
    ItemInt *mMessagePaneHeightItem;
    ItemString *mHeaderStyleItem;
    ItemString *mHeaderSetDisplayedItem;
    ItemBool *mHtmlMailItem;
    ItemBool *mHtmlLoadExternalItem;
    ItemBool *mZoomTextOnlyItem;
    ItemString *mAttachmentStrategyItem;
    ItemBool *mRecycleQuoteColorsItem;
    ItemBool *mAccessKeyEnabledItem;
    ItemBool *mScamDetectionEnabledItem;
    ItemStringList *mScamDetectionWhiteListItem;
    ItemBool *mAdBlockEnabledItem;
    ItemBool *mHideAdsEnabledItem;
    ItemInt *mAdBlockUpdateIntervalItem;
    ItemStringList *mWhiteRefererItem;
    ItemBool *mHtmlQuoteColorerEnabledItem;
    ItemBool *mGravatarSupportEnabledItem;
    ItemBool *mGravatarUseDefaultImageItem;
    ItemInt *mGravatarCacheSizeItem;
    ItemBool *mAutomaticDecryptItem;
    ItemBool *mNotSendWhenEncryptedItem;
    ItemInt *mDefaultPolicyItem;
    ItemInt *mQuoteMessageItem;
    ItemBool *mDelayedMarkAsReadItem;
    ItemUInt *mDelayedMarkTimeItem;
    ItemBool *mLegacyMangleFromToHeadersItem;
    ItemBool *mLegacyBodyInvitesItem;
    ItemBool *mExchangeCompatibleInvitationsItem;
    ItemBool *mOutlookCompatibleInvitationReplyCommentsItem;
    ItemBool *mOutlookCompatibleInvitationComparisonsItem;
    ItemBool *mAutomaticSendingItem;
    ItemBool *mDeleteInvitationEmailsAfterSendingReplyItem;
    ItemEnum *mAskForCommentWhenReactingToInvitationItem;
    ItemBool *mUseFixedFontItem;
    ItemStringList *mHeadersToDisplayItem;
    ItemStringList *mHeadersToHideItem;
    ItemEnum *mCustomHeadersDefaultPolicyItem;
    ItemLongLong *mLastSelectedFolderItem;
    ItemLongLong *mLastEventSelectedFolderItem;
};

}

#endif

